var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
import { NgModule, SkipSelf, Optional } from '@angular/core';
import { CommonModule } from '@angular/common';
import { HttpClientModule } from '@angular/common/http';
import { Configuration } from './configuration';
import { AmazonPaymentAddressManagementV1Service } from './api/amazonPaymentAddressManagementV1.service';
import { AmazonPaymentOrderInformationManagementV1Service } from './api/amazonPaymentOrderInformationManagementV1.service';
import { AnalyticsLinkProviderV1Service } from './api/analyticsLinkProviderV1.service';
import { BackendModuleServiceV1Service } from './api/backendModuleServiceV1.service';
import { BundleProductLinkManagementV1Service } from './api/bundleProductLinkManagementV1.service';
import { BundleProductOptionManagementV1Service } from './api/bundleProductOptionManagementV1.service';
import { BundleProductOptionRepositoryV1Service } from './api/bundleProductOptionRepositoryV1.service';
import { BundleProductOptionTypeListV1Service } from './api/bundleProductOptionTypeListV1.service';
import { CatalogAttributeSetManagementV1Service } from './api/catalogAttributeSetManagementV1.service';
import { CatalogAttributeSetRepositoryV1Service } from './api/catalogAttributeSetRepositoryV1.service';
import { CatalogBasePriceStorageV1Service } from './api/catalogBasePriceStorageV1.service';
import { CatalogCategoryAttributeOptionManagementV1Service } from './api/catalogCategoryAttributeOptionManagementV1.service';
import { CatalogCategoryAttributeRepositoryV1Service } from './api/catalogCategoryAttributeRepositoryV1.service';
import { CatalogCategoryLinkManagementV1Service } from './api/catalogCategoryLinkManagementV1.service';
import { CatalogCategoryLinkRepositoryV1Service } from './api/catalogCategoryLinkRepositoryV1.service';
import { CatalogCategoryListV1Service } from './api/catalogCategoryListV1.service';
import { CatalogCategoryManagementV1Service } from './api/catalogCategoryManagementV1.service';
import { CatalogCategoryRepositoryV1Service } from './api/catalogCategoryRepositoryV1.service';
import { CatalogCostStorageV1Service } from './api/catalogCostStorageV1.service';
import { CatalogInventoryStockRegistryV1Service } from './api/catalogInventoryStockRegistryV1.service';
import { CatalogProductAttributeGroupRepositoryV1Service } from './api/catalogProductAttributeGroupRepositoryV1.service';
import { CatalogProductAttributeManagementV1Service } from './api/catalogProductAttributeManagementV1.service';
import { CatalogProductAttributeMediaGalleryManagementV1Service } from './api/catalogProductAttributeMediaGalleryManagementV1.service';
import { CatalogProductAttributeOptionManagementV1Service } from './api/catalogProductAttributeOptionManagementV1.service';
import { CatalogProductAttributeRepositoryV1Service } from './api/catalogProductAttributeRepositoryV1.service';
import { CatalogProductAttributeTypesListV1Service } from './api/catalogProductAttributeTypesListV1.service';
import { CatalogProductCustomOptionRepositoryV1Service } from './api/catalogProductCustomOptionRepositoryV1.service';
import { CatalogProductCustomOptionTypeListV1Service } from './api/catalogProductCustomOptionTypeListV1.service';
import { CatalogProductLinkManagementV1Service } from './api/catalogProductLinkManagementV1.service';
import { CatalogProductLinkRepositoryV1Service } from './api/catalogProductLinkRepositoryV1.service';
import { CatalogProductLinkTypeListV1Service } from './api/catalogProductLinkTypeListV1.service';
import { CatalogProductMediaAttributeManagementV1Service } from './api/catalogProductMediaAttributeManagementV1.service';
import { CatalogProductRenderListV1Service } from './api/catalogProductRenderListV1.service';
import { CatalogProductRepositoryV1Service } from './api/catalogProductRepositoryV1.service';
import { CatalogProductTierPriceManagementV1Service } from './api/catalogProductTierPriceManagementV1.service';
import { CatalogProductTypeListV1Service } from './api/catalogProductTypeListV1.service';
import { CatalogProductWebsiteLinkRepositoryV1Service } from './api/catalogProductWebsiteLinkRepositoryV1.service';
import { CatalogSpecialPriceStorageV1Service } from './api/catalogSpecialPriceStorageV1.service';
import { CatalogTierPriceStorageV1Service } from './api/catalogTierPriceStorageV1.service';
import { CheckoutAgreementsCheckoutAgreementsRepositoryV1Service } from './api/checkoutAgreementsCheckoutAgreementsRepositoryV1.service';
import { CheckoutGuestPaymentInformationManagementV1Service } from './api/checkoutGuestPaymentInformationManagementV1.service';
import { CheckoutGuestShippingInformationManagementV1Service } from './api/checkoutGuestShippingInformationManagementV1.service';
import { CheckoutGuestTotalsInformationManagementV1Service } from './api/checkoutGuestTotalsInformationManagementV1.service';
import { CheckoutPaymentInformationManagementV1Service } from './api/checkoutPaymentInformationManagementV1.service';
import { CheckoutShippingInformationManagementV1Service } from './api/checkoutShippingInformationManagementV1.service';
import { CheckoutTotalsInformationManagementV1Service } from './api/checkoutTotalsInformationManagementV1.service';
import { CmsBlockRepositoryV1Service } from './api/cmsBlockRepositoryV1.service';
import { CmsPageRepositoryV1Service } from './api/cmsPageRepositoryV1.service';
import { ConfigurableProductConfigurableProductManagementV1Service } from './api/configurableProductConfigurableProductManagementV1.service';
import { ConfigurableProductLinkManagementV1Service } from './api/configurableProductLinkManagementV1.service';
import { ConfigurableProductOptionRepositoryV1Service } from './api/configurableProductOptionRepositoryV1.service';
import { CustomerAccountManagementV1Service } from './api/customerAccountManagementV1.service';
import { CustomerAddressMetadataV1Service } from './api/customerAddressMetadataV1.service';
import { CustomerAddressRepositoryV1Service } from './api/customerAddressRepositoryV1.service';
import { CustomerCustomerGroupConfigV1Service } from './api/customerCustomerGroupConfigV1.service';
import { CustomerCustomerMetadataV1Service } from './api/customerCustomerMetadataV1.service';
import { CustomerCustomerRepositoryV1Service } from './api/customerCustomerRepositoryV1.service';
import { CustomerGroupManagementV1Service } from './api/customerGroupManagementV1.service';
import { CustomerGroupRepositoryV1Service } from './api/customerGroupRepositoryV1.service';
import { DirectoryCountryInformationAcquirerV1Service } from './api/directoryCountryInformationAcquirerV1.service';
import { DirectoryCurrencyInformationAcquirerV1Service } from './api/directoryCurrencyInformationAcquirerV1.service';
import { DownloadableLinkRepositoryV1Service } from './api/downloadableLinkRepositoryV1.service';
import { DownloadableSampleRepositoryV1Service } from './api/downloadableSampleRepositoryV1.service';
import { EavAttributeSetManagementV1Service } from './api/eavAttributeSetManagementV1.service';
import { EavAttributeSetRepositoryV1Service } from './api/eavAttributeSetRepositoryV1.service';
import { GiftMessageCartRepositoryV1Service } from './api/giftMessageCartRepositoryV1.service';
import { GiftMessageGuestCartRepositoryV1Service } from './api/giftMessageGuestCartRepositoryV1.service';
import { GiftMessageGuestItemRepositoryV1Service } from './api/giftMessageGuestItemRepositoryV1.service';
import { GiftMessageItemRepositoryV1Service } from './api/giftMessageItemRepositoryV1.service';
import { IntegrationAdminTokenServiceV1Service } from './api/integrationAdminTokenServiceV1.service';
import { IntegrationCustomerTokenServiceV1Service } from './api/integrationCustomerTokenServiceV1.service';
import { QuoteBillingAddressManagementV1Service } from './api/quoteBillingAddressManagementV1.service';
import { QuoteCartItemRepositoryV1Service } from './api/quoteCartItemRepositoryV1.service';
import { QuoteCartManagementV1Service } from './api/quoteCartManagementV1.service';
import { QuoteCartRepositoryV1Service } from './api/quoteCartRepositoryV1.service';
import { QuoteCartTotalManagementV1Service } from './api/quoteCartTotalManagementV1.service';
import { QuoteCartTotalRepositoryV1Service } from './api/quoteCartTotalRepositoryV1.service';
import { QuoteCouponManagementV1Service } from './api/quoteCouponManagementV1.service';
import { QuoteGuestBillingAddressManagementV1Service } from './api/quoteGuestBillingAddressManagementV1.service';
import { QuoteGuestCartItemRepositoryV1Service } from './api/quoteGuestCartItemRepositoryV1.service';
import { QuoteGuestCartManagementV1Service } from './api/quoteGuestCartManagementV1.service';
import { QuoteGuestCartRepositoryV1Service } from './api/quoteGuestCartRepositoryV1.service';
import { QuoteGuestCartTotalManagementV1Service } from './api/quoteGuestCartTotalManagementV1.service';
import { QuoteGuestCartTotalRepositoryV1Service } from './api/quoteGuestCartTotalRepositoryV1.service';
import { QuoteGuestCouponManagementV1Service } from './api/quoteGuestCouponManagementV1.service';
import { QuoteGuestPaymentMethodManagementV1Service } from './api/quoteGuestPaymentMethodManagementV1.service';
import { QuoteGuestShipmentEstimationV1Service } from './api/quoteGuestShipmentEstimationV1.service';
import { QuoteGuestShippingMethodManagementV1Service } from './api/quoteGuestShippingMethodManagementV1.service';
import { QuotePaymentMethodManagementV1Service } from './api/quotePaymentMethodManagementV1.service';
import { QuoteShipmentEstimationV1Service } from './api/quoteShipmentEstimationV1.service';
import { QuoteShippingMethodManagementV1Service } from './api/quoteShippingMethodManagementV1.service';
import { SalesCreditmemoCommentRepositoryV1Service } from './api/salesCreditmemoCommentRepositoryV1.service';
import { SalesCreditmemoManagementV1Service } from './api/salesCreditmemoManagementV1.service';
import { SalesCreditmemoRepositoryV1Service } from './api/salesCreditmemoRepositoryV1.service';
import { SalesInvoiceCommentRepositoryV1Service } from './api/salesInvoiceCommentRepositoryV1.service';
import { SalesInvoiceManagementV1Service } from './api/salesInvoiceManagementV1.service';
import { SalesInvoiceOrderV1Service } from './api/salesInvoiceOrderV1.service';
import { SalesInvoiceRepositoryV1Service } from './api/salesInvoiceRepositoryV1.service';
import { SalesOrderAddressRepositoryV1Service } from './api/salesOrderAddressRepositoryV1.service';
import { SalesOrderItemRepositoryV1Service } from './api/salesOrderItemRepositoryV1.service';
import { SalesOrderManagementV1Service } from './api/salesOrderManagementV1.service';
import { SalesOrderRepositoryV1Service } from './api/salesOrderRepositoryV1.service';
import { SalesRefundInvoiceV1Service } from './api/salesRefundInvoiceV1.service';
import { SalesRefundOrderV1Service } from './api/salesRefundOrderV1.service';
import { SalesRuleCouponManagementV1Service } from './api/salesRuleCouponManagementV1.service';
import { SalesRuleCouponRepositoryV1Service } from './api/salesRuleCouponRepositoryV1.service';
import { SalesRuleRuleRepositoryV1Service } from './api/salesRuleRuleRepositoryV1.service';
import { SalesShipOrderV1Service } from './api/salesShipOrderV1.service';
import { SalesShipmentCommentRepositoryV1Service } from './api/salesShipmentCommentRepositoryV1.service';
import { SalesShipmentManagementV1Service } from './api/salesShipmentManagementV1.service';
import { SalesShipmentRepositoryV1Service } from './api/salesShipmentRepositoryV1.service';
import { SalesShipmentTrackRepositoryV1Service } from './api/salesShipmentTrackRepositoryV1.service';
import { SalesTransactionRepositoryV1Service } from './api/salesTransactionRepositoryV1.service';
import { SearchV1Service } from './api/searchV1.service';
import { SplashLabCorsRequestsCorsCheckV1Service } from './api/splashLabCorsRequestsCorsCheckV1.service';
import { StoreGroupRepositoryV1Service } from './api/storeGroupRepositoryV1.service';
import { StoreStoreConfigManagerV1Service } from './api/storeStoreConfigManagerV1.service';
import { StoreStoreRepositoryV1Service } from './api/storeStoreRepositoryV1.service';
import { StoreWebsiteRepositoryV1Service } from './api/storeWebsiteRepositoryV1.service';
import { TaxTaxClassRepositoryV1Service } from './api/taxTaxClassRepositoryV1.service';
import { TaxTaxRateRepositoryV1Service } from './api/taxTaxRateRepositoryV1.service';
import { TaxTaxRuleRepositoryV1Service } from './api/taxTaxRuleRepositoryV1.service';
import { TemandoShippingCollectionPointCartCollectionPointManagementV1Service } from './api/temandoShippingCollectionPointCartCollectionPointManagementV1.service';
import { TemandoShippingCollectionPointGuestCartCollectionPointManagementV1Service } from './api/temandoShippingCollectionPointGuestCartCollectionPointManagementV1.service';
import { TemandoShippingQuoteCartCheckoutFieldManagementV1Service } from './api/temandoShippingQuoteCartCheckoutFieldManagementV1.service';
import { TemandoShippingQuoteCartDeliveryOptionManagementV1Service } from './api/temandoShippingQuoteCartDeliveryOptionManagementV1.service';
import { TemandoShippingQuoteGuestCartCheckoutFieldManagementV1Service } from './api/temandoShippingQuoteGuestCartCheckoutFieldManagementV1.service';
import { TemandoShippingQuoteGuestCartDeliveryOptionManagementV1Service } from './api/temandoShippingQuoteGuestCartDeliveryOptionManagementV1.service';
import { TemandoShippingRmaRmaShipmentManagementV1Service } from './api/temandoShippingRmaRmaShipmentManagementV1.service';
var ApiModule = (function () {
    function ApiModule(parentModule) {
        if (parentModule) {
            throw new Error('ApiModule is already loaded. Import your base AppModule only.');
        }
    }
    ApiModule_1 = ApiModule;
    ApiModule.forRoot = function (configurationFactory) {
        return {
            ngModule: ApiModule_1,
            providers: [{ provide: Configuration, useFactory: configurationFactory }]
        };
    };
    var ApiModule_1;
    ApiModule = ApiModule_1 = __decorate([
        NgModule({
            imports: [CommonModule, HttpClientModule],
            declarations: [],
            exports: [],
            providers: [
                AmazonPaymentAddressManagementV1Service,
                AmazonPaymentOrderInformationManagementV1Service,
                AnalyticsLinkProviderV1Service,
                BackendModuleServiceV1Service,
                BundleProductLinkManagementV1Service,
                BundleProductOptionManagementV1Service,
                BundleProductOptionRepositoryV1Service,
                BundleProductOptionTypeListV1Service,
                CatalogAttributeSetManagementV1Service,
                CatalogAttributeSetRepositoryV1Service,
                CatalogBasePriceStorageV1Service,
                CatalogCategoryAttributeOptionManagementV1Service,
                CatalogCategoryAttributeRepositoryV1Service,
                CatalogCategoryLinkManagementV1Service,
                CatalogCategoryLinkRepositoryV1Service,
                CatalogCategoryListV1Service,
                CatalogCategoryManagementV1Service,
                CatalogCategoryRepositoryV1Service,
                CatalogCostStorageV1Service,
                CatalogInventoryStockRegistryV1Service,
                CatalogProductAttributeGroupRepositoryV1Service,
                CatalogProductAttributeManagementV1Service,
                CatalogProductAttributeMediaGalleryManagementV1Service,
                CatalogProductAttributeOptionManagementV1Service,
                CatalogProductAttributeRepositoryV1Service,
                CatalogProductAttributeTypesListV1Service,
                CatalogProductCustomOptionRepositoryV1Service,
                CatalogProductCustomOptionTypeListV1Service,
                CatalogProductLinkManagementV1Service,
                CatalogProductLinkRepositoryV1Service,
                CatalogProductLinkTypeListV1Service,
                CatalogProductMediaAttributeManagementV1Service,
                CatalogProductRenderListV1Service,
                CatalogProductRepositoryV1Service,
                CatalogProductTierPriceManagementV1Service,
                CatalogProductTypeListV1Service,
                CatalogProductWebsiteLinkRepositoryV1Service,
                CatalogSpecialPriceStorageV1Service,
                CatalogTierPriceStorageV1Service,
                CheckoutAgreementsCheckoutAgreementsRepositoryV1Service,
                CheckoutGuestPaymentInformationManagementV1Service,
                CheckoutGuestShippingInformationManagementV1Service,
                CheckoutGuestTotalsInformationManagementV1Service,
                CheckoutPaymentInformationManagementV1Service,
                CheckoutShippingInformationManagementV1Service,
                CheckoutTotalsInformationManagementV1Service,
                CmsBlockRepositoryV1Service,
                CmsPageRepositoryV1Service,
                ConfigurableProductConfigurableProductManagementV1Service,
                ConfigurableProductLinkManagementV1Service,
                ConfigurableProductOptionRepositoryV1Service,
                CustomerAccountManagementV1Service,
                CustomerAddressMetadataV1Service,
                CustomerAddressRepositoryV1Service,
                CustomerCustomerGroupConfigV1Service,
                CustomerCustomerMetadataV1Service,
                CustomerCustomerRepositoryV1Service,
                CustomerGroupManagementV1Service,
                CustomerGroupRepositoryV1Service,
                DirectoryCountryInformationAcquirerV1Service,
                DirectoryCurrencyInformationAcquirerV1Service,
                DownloadableLinkRepositoryV1Service,
                DownloadableSampleRepositoryV1Service,
                EavAttributeSetManagementV1Service,
                EavAttributeSetRepositoryV1Service,
                GiftMessageCartRepositoryV1Service,
                GiftMessageGuestCartRepositoryV1Service,
                GiftMessageGuestItemRepositoryV1Service,
                GiftMessageItemRepositoryV1Service,
                IntegrationAdminTokenServiceV1Service,
                IntegrationCustomerTokenServiceV1Service,
                QuoteBillingAddressManagementV1Service,
                QuoteCartItemRepositoryV1Service,
                QuoteCartManagementV1Service,
                QuoteCartRepositoryV1Service,
                QuoteCartTotalManagementV1Service,
                QuoteCartTotalRepositoryV1Service,
                QuoteCouponManagementV1Service,
                QuoteGuestBillingAddressManagementV1Service,
                QuoteGuestCartItemRepositoryV1Service,
                QuoteGuestCartManagementV1Service,
                QuoteGuestCartRepositoryV1Service,
                QuoteGuestCartTotalManagementV1Service,
                QuoteGuestCartTotalRepositoryV1Service,
                QuoteGuestCouponManagementV1Service,
                QuoteGuestPaymentMethodManagementV1Service,
                QuoteGuestShipmentEstimationV1Service,
                QuoteGuestShippingMethodManagementV1Service,
                QuotePaymentMethodManagementV1Service,
                QuoteShipmentEstimationV1Service,
                QuoteShippingMethodManagementV1Service,
                SalesCreditmemoCommentRepositoryV1Service,
                SalesCreditmemoManagementV1Service,
                SalesCreditmemoRepositoryV1Service,
                SalesInvoiceCommentRepositoryV1Service,
                SalesInvoiceManagementV1Service,
                SalesInvoiceOrderV1Service,
                SalesInvoiceRepositoryV1Service,
                SalesOrderAddressRepositoryV1Service,
                SalesOrderItemRepositoryV1Service,
                SalesOrderManagementV1Service,
                SalesOrderRepositoryV1Service,
                SalesRefundInvoiceV1Service,
                SalesRefundOrderV1Service,
                SalesRuleCouponManagementV1Service,
                SalesRuleCouponRepositoryV1Service,
                SalesRuleRuleRepositoryV1Service,
                SalesShipOrderV1Service,
                SalesShipmentCommentRepositoryV1Service,
                SalesShipmentManagementV1Service,
                SalesShipmentRepositoryV1Service,
                SalesShipmentTrackRepositoryV1Service,
                SalesTransactionRepositoryV1Service,
                SearchV1Service,
                SplashLabCorsRequestsCorsCheckV1Service,
                StoreGroupRepositoryV1Service,
                StoreStoreConfigManagerV1Service,
                StoreStoreRepositoryV1Service,
                StoreWebsiteRepositoryV1Service,
                TaxTaxClassRepositoryV1Service,
                TaxTaxRateRepositoryV1Service,
                TaxTaxRuleRepositoryV1Service,
                TemandoShippingCollectionPointCartCollectionPointManagementV1Service,
                TemandoShippingCollectionPointGuestCartCollectionPointManagementV1Service,
                TemandoShippingQuoteCartCheckoutFieldManagementV1Service,
                TemandoShippingQuoteCartDeliveryOptionManagementV1Service,
                TemandoShippingQuoteGuestCartCheckoutFieldManagementV1Service,
                TemandoShippingQuoteGuestCartDeliveryOptionManagementV1Service,
                TemandoShippingRmaRmaShipmentManagementV1Service
            ]
        }),
        __param(0, Optional()), __param(0, SkipSelf()),
        __metadata("design:paramtypes", [ApiModule])
    ], ApiModule);
    return ApiModule;
}());
export { ApiModule };
//# sourceMappingURL=api.module.js.map