import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { BundleProductOptionManagementV1SavePostBody } from '../model/bundleProductOptionManagementV1SavePostBody';
import { BundleProductOptionManagementV1SavePutBody } from '../model/bundleProductOptionManagementV1SavePutBody';
import { Configuration } from '../configuration';
export declare class BundleProductOptionManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    bundleProductOptionManagementV1SavePost(bundleProductOptionManagementV1SavePostBody?: BundleProductOptionManagementV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    bundleProductOptionManagementV1SavePost(bundleProductOptionManagementV1SavePostBody?: BundleProductOptionManagementV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    bundleProductOptionManagementV1SavePost(bundleProductOptionManagementV1SavePostBody?: BundleProductOptionManagementV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    bundleProductOptionManagementV1SavePut(optionId: string, bundleProductOptionManagementV1SavePutBody?: BundleProductOptionManagementV1SavePutBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    bundleProductOptionManagementV1SavePut(optionId: string, bundleProductOptionManagementV1SavePutBody?: BundleProductOptionManagementV1SavePutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    bundleProductOptionManagementV1SavePut(optionId: string, bundleProductOptionManagementV1SavePutBody?: BundleProductOptionManagementV1SavePutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
