import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { BundleDataOptionInterface } from '../model/bundleDataOptionInterface';
import { Configuration } from '../configuration';
export declare class BundleProductOptionRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    bundleProductOptionRepositoryV1DeleteByIdDelete(sku: string, optionId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    bundleProductOptionRepositoryV1DeleteByIdDelete(sku: string, optionId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    bundleProductOptionRepositoryV1DeleteByIdDelete(sku: string, optionId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    bundleProductOptionRepositoryV1GetGet(sku: string, optionId: number, observe?: 'body', reportProgress?: boolean): Observable<BundleDataOptionInterface>;
    bundleProductOptionRepositoryV1GetGet(sku: string, optionId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<BundleDataOptionInterface>>;
    bundleProductOptionRepositoryV1GetGet(sku: string, optionId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<BundleDataOptionInterface>>;
    bundleProductOptionRepositoryV1GetListGet(sku: string, observe?: 'body', reportProgress?: boolean): Observable<Array<BundleDataOptionInterface>>;
    bundleProductOptionRepositoryV1GetListGet(sku: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<BundleDataOptionInterface>>>;
    bundleProductOptionRepositoryV1GetListGet(sku: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<BundleDataOptionInterface>>>;
}
