import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogBasePriceStorageV1GetPostBody } from '../model/catalogBasePriceStorageV1GetPostBody';
import { CatalogBasePriceStorageV1UpdatePostBody } from '../model/catalogBasePriceStorageV1UpdatePostBody';
import { CatalogDataBasePriceInterface } from '../model/catalogDataBasePriceInterface';
import { CatalogDataPriceUpdateResultInterface } from '../model/catalogDataPriceUpdateResultInterface';
import { Configuration } from '../configuration';
export declare class CatalogBasePriceStorageV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogBasePriceStorageV1GetPost(catalogBasePriceStorageV1GetPostBody?: CatalogBasePriceStorageV1GetPostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataBasePriceInterface>>;
    catalogBasePriceStorageV1GetPost(catalogBasePriceStorageV1GetPostBody?: CatalogBasePriceStorageV1GetPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataBasePriceInterface>>>;
    catalogBasePriceStorageV1GetPost(catalogBasePriceStorageV1GetPostBody?: CatalogBasePriceStorageV1GetPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataBasePriceInterface>>>;
    catalogBasePriceStorageV1UpdatePost(catalogBasePriceStorageV1UpdatePostBody?: CatalogBasePriceStorageV1UpdatePostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataPriceUpdateResultInterface>>;
    catalogBasePriceStorageV1UpdatePost(catalogBasePriceStorageV1UpdatePostBody?: CatalogBasePriceStorageV1UpdatePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataPriceUpdateResultInterface>>>;
    catalogBasePriceStorageV1UpdatePost(catalogBasePriceStorageV1UpdatePostBody?: CatalogBasePriceStorageV1UpdatePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataPriceUpdateResultInterface>>>;
}
