import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { EavDataAttributeOptionInterface } from '../model/eavDataAttributeOptionInterface';
import { Configuration } from '../configuration';
export declare class CatalogCategoryAttributeOptionManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogCategoryAttributeOptionManagementV1GetItemsGet(attributeCode: string, observe?: 'body', reportProgress?: boolean): Observable<Array<EavDataAttributeOptionInterface>>;
    catalogCategoryAttributeOptionManagementV1GetItemsGet(attributeCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<EavDataAttributeOptionInterface>>>;
    catalogCategoryAttributeOptionManagementV1GetItemsGet(attributeCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<EavDataAttributeOptionInterface>>>;
}
