import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataCategoryProductLinkInterface } from '../model/catalogDataCategoryProductLinkInterface';
import { Configuration } from '../configuration';
export declare class CatalogCategoryLinkManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogCategoryLinkManagementV1GetAssignedProductsGet(categoryId: number, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataCategoryProductLinkInterface>>;
    catalogCategoryLinkManagementV1GetAssignedProductsGet(categoryId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataCategoryProductLinkInterface>>>;
    catalogCategoryLinkManagementV1GetAssignedProductsGet(categoryId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataCategoryProductLinkInterface>>>;
}
