import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataProductAttributeTypeInterface } from '../model/catalogDataProductAttributeTypeInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductAttributeTypesListV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductAttributeTypesListV1GetItemsGet(observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductAttributeTypeInterface>>;
    catalogProductAttributeTypesListV1GetItemsGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductAttributeTypeInterface>>>;
    catalogProductAttributeTypesListV1GetItemsGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductAttributeTypeInterface>>>;
}
