import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogProductLinkRepositoryV1SavePutBody } from '../model/catalogProductLinkRepositoryV1SavePutBody';
import { Configuration } from '../configuration';
export declare class CatalogProductLinkRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductLinkRepositoryV1DeleteByIdDelete(sku: string, type: string, linkedProductSku: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    catalogProductLinkRepositoryV1DeleteByIdDelete(sku: string, type: string, linkedProductSku: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    catalogProductLinkRepositoryV1DeleteByIdDelete(sku: string, type: string, linkedProductSku: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    catalogProductLinkRepositoryV1SavePut(sku: string, catalogProductLinkRepositoryV1SavePutBody?: CatalogProductLinkRepositoryV1SavePutBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    catalogProductLinkRepositoryV1SavePut(sku: string, catalogProductLinkRepositoryV1SavePutBody?: CatalogProductLinkRepositoryV1SavePutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    catalogProductLinkRepositoryV1SavePut(sku: string, catalogProductLinkRepositoryV1SavePutBody?: CatalogProductLinkRepositoryV1SavePutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
