import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataProductLinkAttributeInterface } from '../model/catalogDataProductLinkAttributeInterface';
import { CatalogDataProductLinkTypeInterface } from '../model/catalogDataProductLinkTypeInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductLinkTypeListV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductLinkTypeListV1GetItemAttributesGet(type: string, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductLinkAttributeInterface>>;
    catalogProductLinkTypeListV1GetItemAttributesGet(type: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductLinkAttributeInterface>>>;
    catalogProductLinkTypeListV1GetItemAttributesGet(type: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductLinkAttributeInterface>>>;
    catalogProductLinkTypeListV1GetItemsGet(observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductLinkTypeInterface>>;
    catalogProductLinkTypeListV1GetItemsGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductLinkTypeInterface>>>;
    catalogProductLinkTypeListV1GetItemsGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductLinkTypeInterface>>>;
}
