import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataProductAttributeInterface } from '../model/catalogDataProductAttributeInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductMediaAttributeManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductMediaAttributeManagementV1GetListGet(attributeSetName: string, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductAttributeInterface>>;
    catalogProductMediaAttributeManagementV1GetListGet(attributeSetName: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductAttributeInterface>>>;
    catalogProductMediaAttributeManagementV1GetListGet(attributeSetName: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductAttributeInterface>>>;
}
