import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataProductTypeInterface } from '../model/catalogDataProductTypeInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductTypeListV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductTypeListV1GetProductTypesGet(observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductTypeInterface>>;
    catalogProductTypeListV1GetProductTypesGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductTypeInterface>>>;
    catalogProductTypeListV1GetProductTypesGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductTypeInterface>>>;
}
