import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataPriceUpdateResultInterface } from '../model/catalogDataPriceUpdateResultInterface';
import { CatalogDataSpecialPriceInterface } from '../model/catalogDataSpecialPriceInterface';
import { CatalogSpecialPriceStorageV1DeletePostBody } from '../model/catalogSpecialPriceStorageV1DeletePostBody';
import { CatalogSpecialPriceStorageV1GetPostBody } from '../model/catalogSpecialPriceStorageV1GetPostBody';
import { CatalogSpecialPriceStorageV1UpdatePostBody } from '../model/catalogSpecialPriceStorageV1UpdatePostBody';
import { Configuration } from '../configuration';
export declare class CatalogSpecialPriceStorageV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogSpecialPriceStorageV1DeletePost(catalogSpecialPriceStorageV1DeletePostBody?: CatalogSpecialPriceStorageV1DeletePostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataPriceUpdateResultInterface>>;
    catalogSpecialPriceStorageV1DeletePost(catalogSpecialPriceStorageV1DeletePostBody?: CatalogSpecialPriceStorageV1DeletePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataPriceUpdateResultInterface>>>;
    catalogSpecialPriceStorageV1DeletePost(catalogSpecialPriceStorageV1DeletePostBody?: CatalogSpecialPriceStorageV1DeletePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataPriceUpdateResultInterface>>>;
    catalogSpecialPriceStorageV1GetPost(catalogSpecialPriceStorageV1GetPostBody?: CatalogSpecialPriceStorageV1GetPostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataSpecialPriceInterface>>;
    catalogSpecialPriceStorageV1GetPost(catalogSpecialPriceStorageV1GetPostBody?: CatalogSpecialPriceStorageV1GetPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataSpecialPriceInterface>>>;
    catalogSpecialPriceStorageV1GetPost(catalogSpecialPriceStorageV1GetPostBody?: CatalogSpecialPriceStorageV1GetPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataSpecialPriceInterface>>>;
    catalogSpecialPriceStorageV1UpdatePost(catalogSpecialPriceStorageV1UpdatePostBody?: CatalogSpecialPriceStorageV1UpdatePostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataPriceUpdateResultInterface>>;
    catalogSpecialPriceStorageV1UpdatePost(catalogSpecialPriceStorageV1UpdatePostBody?: CatalogSpecialPriceStorageV1UpdatePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataPriceUpdateResultInterface>>>;
    catalogSpecialPriceStorageV1UpdatePost(catalogSpecialPriceStorageV1UpdatePostBody?: CatalogSpecialPriceStorageV1UpdatePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataPriceUpdateResultInterface>>>;
}
