import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutDataPaymentDetailsInterface } from '../model/checkoutDataPaymentDetailsInterface';
import { CheckoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody } from '../model/checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody';
import { CheckoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody } from '../model/checkoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody';
import { Configuration } from '../configuration';
export declare class CheckoutGuestPaymentInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutGuestPaymentInformationManagementV1GetPaymentInformationGet(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<CheckoutDataPaymentDetailsInterface>;
    checkoutGuestPaymentInformationManagementV1GetPaymentInformationGet(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CheckoutDataPaymentDetailsInterface>>;
    checkoutGuestPaymentInformationManagementV1GetPaymentInformationGet(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CheckoutDataPaymentDetailsInterface>>;
    checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPost(cartId: string, checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody?: CheckoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPost(cartId: string, checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody?: CheckoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPost(cartId: string, checkoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody?: CheckoutGuestPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    checkoutGuestPaymentInformationManagementV1SavePaymentInformationPost(cartId: string, checkoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody?: CheckoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    checkoutGuestPaymentInformationManagementV1SavePaymentInformationPost(cartId: string, checkoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody?: CheckoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    checkoutGuestPaymentInformationManagementV1SavePaymentInformationPost(cartId: string, checkoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody?: CheckoutGuestPaymentInformationManagementV1SavePaymentInformationPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
