import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutDataPaymentDetailsInterface } from '../model/checkoutDataPaymentDetailsInterface';
import { CheckoutGuestShippingInformationManagementV1SaveAddressInformationPostBody } from '../model/checkoutGuestShippingInformationManagementV1SaveAddressInformationPostBody';
import { Configuration } from '../configuration';
export declare class CheckoutGuestShippingInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutGuestShippingInformationManagementV1SaveAddressInformationPost(cartId: string, checkoutGuestShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutGuestShippingInformationManagementV1SaveAddressInformationPostBody, observe?: 'body', reportProgress?: boolean): Observable<CheckoutDataPaymentDetailsInterface>;
    checkoutGuestShippingInformationManagementV1SaveAddressInformationPost(cartId: string, checkoutGuestShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutGuestShippingInformationManagementV1SaveAddressInformationPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CheckoutDataPaymentDetailsInterface>>;
    checkoutGuestShippingInformationManagementV1SaveAddressInformationPost(cartId: string, checkoutGuestShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutGuestShippingInformationManagementV1SaveAddressInformationPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CheckoutDataPaymentDetailsInterface>>;
}
