import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutDataPaymentDetailsInterface } from '../model/checkoutDataPaymentDetailsInterface';
import { CheckoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody } from '../model/checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody';
import { CheckoutPaymentInformationManagementV1SavePaymentInformationPostBody } from '../model/checkoutPaymentInformationManagementV1SavePaymentInformationPostBody';
import { Configuration } from '../configuration';
export declare class CheckoutPaymentInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutPaymentInformationManagementV1GetPaymentInformationGet(observe?: 'body', reportProgress?: boolean): Observable<CheckoutDataPaymentDetailsInterface>;
    checkoutPaymentInformationManagementV1GetPaymentInformationGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CheckoutDataPaymentDetailsInterface>>;
    checkoutPaymentInformationManagementV1GetPaymentInformationGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CheckoutDataPaymentDetailsInterface>>;
    checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPost(checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody?: CheckoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPost(checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody?: CheckoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPost(checkoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody?: CheckoutPaymentInformationManagementV1SavePaymentInformationAndPlaceOrderPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    checkoutPaymentInformationManagementV1SavePaymentInformationPost(checkoutPaymentInformationManagementV1SavePaymentInformationPostBody?: CheckoutPaymentInformationManagementV1SavePaymentInformationPostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    checkoutPaymentInformationManagementV1SavePaymentInformationPost(checkoutPaymentInformationManagementV1SavePaymentInformationPostBody?: CheckoutPaymentInformationManagementV1SavePaymentInformationPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    checkoutPaymentInformationManagementV1SavePaymentInformationPost(checkoutPaymentInformationManagementV1SavePaymentInformationPostBody?: CheckoutPaymentInformationManagementV1SavePaymentInformationPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
