import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutDataPaymentDetailsInterface } from '../model/checkoutDataPaymentDetailsInterface';
import { CheckoutShippingInformationManagementV1SaveAddressInformationPostBody } from '../model/checkoutShippingInformationManagementV1SaveAddressInformationPostBody';
import { CheckoutShippingInformationManagementV1SaveAddressInformationPostBody1 } from '../model/checkoutShippingInformationManagementV1SaveAddressInformationPostBody1';
import { Configuration } from '../configuration';
export declare class CheckoutShippingInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutShippingInformationManagementV1SaveAddressInformationPost(checkoutShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutShippingInformationManagementV1SaveAddressInformationPostBody, observe?: 'body', reportProgress?: boolean): Observable<CheckoutDataPaymentDetailsInterface>;
    checkoutShippingInformationManagementV1SaveAddressInformationPost(checkoutShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutShippingInformationManagementV1SaveAddressInformationPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CheckoutDataPaymentDetailsInterface>>;
    checkoutShippingInformationManagementV1SaveAddressInformationPost(checkoutShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutShippingInformationManagementV1SaveAddressInformationPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CheckoutDataPaymentDetailsInterface>>;
    checkoutShippingInformationManagementV1SaveAddressInformationPost_1(cartId: number, checkoutShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutShippingInformationManagementV1SaveAddressInformationPostBody1, observe?: 'body', reportProgress?: boolean): Observable<CheckoutDataPaymentDetailsInterface>;
    checkoutShippingInformationManagementV1SaveAddressInformationPost_1(cartId: number, checkoutShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutShippingInformationManagementV1SaveAddressInformationPostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CheckoutDataPaymentDetailsInterface>>;
    checkoutShippingInformationManagementV1SaveAddressInformationPost_1(cartId: number, checkoutShippingInformationManagementV1SaveAddressInformationPostBody?: CheckoutShippingInformationManagementV1SaveAddressInformationPostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CheckoutDataPaymentDetailsInterface>>;
}
