import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutTotalsInformationManagementV1CalculatePostBody } from '../model/checkoutTotalsInformationManagementV1CalculatePostBody';
import { CheckoutTotalsInformationManagementV1CalculatePostBody1 } from '../model/checkoutTotalsInformationManagementV1CalculatePostBody1';
import { QuoteDataTotalsInterface } from '../model/quoteDataTotalsInterface';
import { Configuration } from '../configuration';
export declare class CheckoutTotalsInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutTotalsInformationManagementV1CalculatePost(cartId: number, checkoutTotalsInformationManagementV1CalculatePostBody?: CheckoutTotalsInformationManagementV1CalculatePostBody, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataTotalsInterface>;
    checkoutTotalsInformationManagementV1CalculatePost(cartId: number, checkoutTotalsInformationManagementV1CalculatePostBody?: CheckoutTotalsInformationManagementV1CalculatePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataTotalsInterface>>;
    checkoutTotalsInformationManagementV1CalculatePost(cartId: number, checkoutTotalsInformationManagementV1CalculatePostBody?: CheckoutTotalsInformationManagementV1CalculatePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataTotalsInterface>>;
    checkoutTotalsInformationManagementV1CalculatePost_1(checkoutTotalsInformationManagementV1CalculatePostBody?: CheckoutTotalsInformationManagementV1CalculatePostBody1, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataTotalsInterface>;
    checkoutTotalsInformationManagementV1CalculatePost_1(checkoutTotalsInformationManagementV1CalculatePostBody?: CheckoutTotalsInformationManagementV1CalculatePostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataTotalsInterface>>;
    checkoutTotalsInformationManagementV1CalculatePost_1(checkoutTotalsInformationManagementV1CalculatePostBody?: CheckoutTotalsInformationManagementV1CalculatePostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataTotalsInterface>>;
}
