import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Configuration } from '../configuration';
export declare class CustomerCustomerGroupConfigV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    customerCustomerGroupConfigV1SetDefaultCustomerGroupPut(id: number, observe?: 'body', reportProgress?: boolean): Observable<number>;
    customerCustomerGroupConfigV1SetDefaultCustomerGroupPut(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    customerCustomerGroupConfigV1SetDefaultCustomerGroupPut(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
