import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CustomerDataAttributeMetadataInterface } from '../model/customerDataAttributeMetadataInterface';
import { Configuration } from '../configuration';
export declare class CustomerCustomerMetadataV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    customerCustomerMetadataV1GetAllAttributesMetadataGet(observe?: 'body', reportProgress?: boolean): Observable<Array<CustomerDataAttributeMetadataInterface>>;
    customerCustomerMetadataV1GetAllAttributesMetadataGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CustomerDataAttributeMetadataInterface>>>;
    customerCustomerMetadataV1GetAllAttributesMetadataGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CustomerDataAttributeMetadataInterface>>>;
    customerCustomerMetadataV1GetAttributeMetadataGet(attributeCode: string, observe?: 'body', reportProgress?: boolean): Observable<CustomerDataAttributeMetadataInterface>;
    customerCustomerMetadataV1GetAttributeMetadataGet(attributeCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CustomerDataAttributeMetadataInterface>>;
    customerCustomerMetadataV1GetAttributeMetadataGet(attributeCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CustomerDataAttributeMetadataInterface>>;
    customerCustomerMetadataV1GetAttributesGet(formCode: string, observe?: 'body', reportProgress?: boolean): Observable<Array<CustomerDataAttributeMetadataInterface>>;
    customerCustomerMetadataV1GetAttributesGet(formCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CustomerDataAttributeMetadataInterface>>>;
    customerCustomerMetadataV1GetAttributesGet(formCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CustomerDataAttributeMetadataInterface>>>;
    customerCustomerMetadataV1GetCustomAttributesMetadataGet(dataInterfaceName?: string, observe?: 'body', reportProgress?: boolean): Observable<Array<CustomerDataAttributeMetadataInterface>>;
    customerCustomerMetadataV1GetCustomAttributesMetadataGet(dataInterfaceName?: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CustomerDataAttributeMetadataInterface>>>;
    customerCustomerMetadataV1GetCustomAttributesMetadataGet(dataInterfaceName?: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CustomerDataAttributeMetadataInterface>>>;
}
