import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { GiftMessageDataMessageInterface } from '../model/giftMessageDataMessageInterface';
import { GiftMessageItemRepositoryV1SavePostBody } from '../model/giftMessageItemRepositoryV1SavePostBody';
import { GiftMessageItemRepositoryV1SavePostBody1 } from '../model/giftMessageItemRepositoryV1SavePostBody1';
import { Configuration } from '../configuration';
export declare class GiftMessageItemRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    giftMessageItemRepositoryV1GetGet(cartId: number, itemId: number, observe?: 'body', reportProgress?: boolean): Observable<GiftMessageDataMessageInterface>;
    giftMessageItemRepositoryV1GetGet(cartId: number, itemId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GiftMessageDataMessageInterface>>;
    giftMessageItemRepositoryV1GetGet(cartId: number, itemId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GiftMessageDataMessageInterface>>;
    giftMessageItemRepositoryV1GetGet_1(itemId: number, observe?: 'body', reportProgress?: boolean): Observable<GiftMessageDataMessageInterface>;
    giftMessageItemRepositoryV1GetGet_1(itemId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GiftMessageDataMessageInterface>>;
    giftMessageItemRepositoryV1GetGet_1(itemId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GiftMessageDataMessageInterface>>;
    giftMessageItemRepositoryV1SavePost(cartId: number, itemId: number, giftMessageItemRepositoryV1SavePostBody?: GiftMessageItemRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    giftMessageItemRepositoryV1SavePost(cartId: number, itemId: number, giftMessageItemRepositoryV1SavePostBody?: GiftMessageItemRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    giftMessageItemRepositoryV1SavePost(cartId: number, itemId: number, giftMessageItemRepositoryV1SavePostBody?: GiftMessageItemRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    giftMessageItemRepositoryV1SavePost_2(itemId: number, giftMessageItemRepositoryV1SavePostBody?: GiftMessageItemRepositoryV1SavePostBody1, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    giftMessageItemRepositoryV1SavePost_2(itemId: number, giftMessageItemRepositoryV1SavePostBody?: GiftMessageItemRepositoryV1SavePostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    giftMessageItemRepositoryV1SavePost_2(itemId: number, giftMessageItemRepositoryV1SavePostBody?: GiftMessageItemRepositoryV1SavePostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
