import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { IntegrationAdminTokenServiceV1CreateAdminAccessTokenPostBody } from '../model/integrationAdminTokenServiceV1CreateAdminAccessTokenPostBody';
import { Configuration } from '../configuration';
export declare class IntegrationAdminTokenServiceV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    integrationAdminTokenServiceV1CreateAdminAccessTokenPost(integrationAdminTokenServiceV1CreateAdminAccessTokenPostBody?: IntegrationAdminTokenServiceV1CreateAdminAccessTokenPostBody, observe?: 'body', reportProgress?: boolean): Observable<string>;
    integrationAdminTokenServiceV1CreateAdminAccessTokenPost(integrationAdminTokenServiceV1CreateAdminAccessTokenPostBody?: IntegrationAdminTokenServiceV1CreateAdminAccessTokenPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    integrationAdminTokenServiceV1CreateAdminAccessTokenPost(integrationAdminTokenServiceV1CreateAdminAccessTokenPostBody?: IntegrationAdminTokenServiceV1CreateAdminAccessTokenPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
}
