import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteBillingAddressManagementV1AssignPostBody } from '../model/quoteBillingAddressManagementV1AssignPostBody';
import { QuoteBillingAddressManagementV1AssignPostBody1 } from '../model/quoteBillingAddressManagementV1AssignPostBody1';
import { QuoteDataAddressInterface } from '../model/quoteDataAddressInterface';
import { Configuration } from '../configuration';
export declare class QuoteBillingAddressManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteBillingAddressManagementV1AssignPost(cartId: number, quoteBillingAddressManagementV1AssignPostBody?: QuoteBillingAddressManagementV1AssignPostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    quoteBillingAddressManagementV1AssignPost(cartId: number, quoteBillingAddressManagementV1AssignPostBody?: QuoteBillingAddressManagementV1AssignPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    quoteBillingAddressManagementV1AssignPost(cartId: number, quoteBillingAddressManagementV1AssignPostBody?: QuoteBillingAddressManagementV1AssignPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    quoteBillingAddressManagementV1AssignPost_1(quoteBillingAddressManagementV1AssignPostBody?: QuoteBillingAddressManagementV1AssignPostBody1, observe?: 'body', reportProgress?: boolean): Observable<number>;
    quoteBillingAddressManagementV1AssignPost_1(quoteBillingAddressManagementV1AssignPostBody?: QuoteBillingAddressManagementV1AssignPostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    quoteBillingAddressManagementV1AssignPost_1(quoteBillingAddressManagementV1AssignPostBody?: QuoteBillingAddressManagementV1AssignPostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    quoteBillingAddressManagementV1GetGet(cartId: number, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataAddressInterface>;
    quoteBillingAddressManagementV1GetGet(cartId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataAddressInterface>>;
    quoteBillingAddressManagementV1GetGet(cartId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataAddressInterface>>;
    quoteBillingAddressManagementV1GetGet_2(observe?: 'body', reportProgress?: boolean): Observable<QuoteDataAddressInterface>;
    quoteBillingAddressManagementV1GetGet_2(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataAddressInterface>>;
    quoteBillingAddressManagementV1GetGet_2(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataAddressInterface>>;
}
