import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteCartTotalManagementV1CollectTotalsPutBody } from '../model/quoteCartTotalManagementV1CollectTotalsPutBody';
import { QuoteDataTotalsInterface } from '../model/quoteDataTotalsInterface';
import { Configuration } from '../configuration';
export declare class QuoteCartTotalManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteCartTotalManagementV1CollectTotalsPut(quoteCartTotalManagementV1CollectTotalsPutBody?: QuoteCartTotalManagementV1CollectTotalsPutBody, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataTotalsInterface>;
    quoteCartTotalManagementV1CollectTotalsPut(quoteCartTotalManagementV1CollectTotalsPutBody?: QuoteCartTotalManagementV1CollectTotalsPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataTotalsInterface>>;
    quoteCartTotalManagementV1CollectTotalsPut(quoteCartTotalManagementV1CollectTotalsPutBody?: QuoteCartTotalManagementV1CollectTotalsPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataTotalsInterface>>;
}
