import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Configuration } from '../configuration';
export declare class QuoteCouponManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteCouponManagementV1GetGet(cartId: number, observe?: 'body', reportProgress?: boolean): Observable<string>;
    quoteCouponManagementV1GetGet(cartId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    quoteCouponManagementV1GetGet(cartId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    quoteCouponManagementV1GetGet_1(observe?: 'body', reportProgress?: boolean): Observable<string>;
    quoteCouponManagementV1GetGet_1(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    quoteCouponManagementV1GetGet_1(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    quoteCouponManagementV1RemoveDelete(cartId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteCouponManagementV1RemoveDelete(cartId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteCouponManagementV1RemoveDelete(cartId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    quoteCouponManagementV1RemoveDelete_2(observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteCouponManagementV1RemoveDelete_2(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteCouponManagementV1RemoveDelete_2(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    quoteCouponManagementV1SetPut(cartId: number, couponCode: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteCouponManagementV1SetPut(cartId: number, couponCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteCouponManagementV1SetPut(cartId: number, couponCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    quoteCouponManagementV1SetPut_3(couponCode: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteCouponManagementV1SetPut_3(couponCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteCouponManagementV1SetPut_3(couponCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
