import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteGuestCartManagementV1AssignCustomerPutBody } from '../model/quoteGuestCartManagementV1AssignCustomerPutBody';
import { QuoteGuestCartManagementV1PlaceOrderPutBody } from '../model/quoteGuestCartManagementV1PlaceOrderPutBody';
import { Configuration } from '../configuration';
export declare class QuoteGuestCartManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteGuestCartManagementV1AssignCustomerPut(cartId: string, quoteGuestCartManagementV1AssignCustomerPutBody?: QuoteGuestCartManagementV1AssignCustomerPutBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteGuestCartManagementV1AssignCustomerPut(cartId: string, quoteGuestCartManagementV1AssignCustomerPutBody?: QuoteGuestCartManagementV1AssignCustomerPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteGuestCartManagementV1AssignCustomerPut(cartId: string, quoteGuestCartManagementV1AssignCustomerPutBody?: QuoteGuestCartManagementV1AssignCustomerPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    quoteGuestCartManagementV1CreateEmptyCartPost(observe?: 'body', reportProgress?: boolean): Observable<string>;
    quoteGuestCartManagementV1CreateEmptyCartPost(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    quoteGuestCartManagementV1CreateEmptyCartPost(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    quoteGuestCartManagementV1PlaceOrderPut(cartId: string, quoteGuestCartManagementV1PlaceOrderPutBody?: QuoteGuestCartManagementV1PlaceOrderPutBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    quoteGuestCartManagementV1PlaceOrderPut(cartId: string, quoteGuestCartManagementV1PlaceOrderPutBody?: QuoteGuestCartManagementV1PlaceOrderPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    quoteGuestCartManagementV1PlaceOrderPut(cartId: string, quoteGuestCartManagementV1PlaceOrderPutBody?: QuoteGuestCartManagementV1PlaceOrderPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
