import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Configuration } from '../configuration';
export declare class QuoteGuestCouponManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteGuestCouponManagementV1GetGet(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<string>;
    quoteGuestCouponManagementV1GetGet(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    quoteGuestCouponManagementV1GetGet(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    quoteGuestCouponManagementV1RemoveDelete(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteGuestCouponManagementV1RemoveDelete(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteGuestCouponManagementV1RemoveDelete(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    quoteGuestCouponManagementV1SetPut(cartId: string, couponCode: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    quoteGuestCouponManagementV1SetPut(cartId: string, couponCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    quoteGuestCouponManagementV1SetPut(cartId: string, couponCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
