import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteDataShippingMethodInterface } from '../model/quoteDataShippingMethodInterface';
import { QuoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody } from '../model/quoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody';
import { Configuration } from '../configuration';
export declare class QuoteGuestShipmentEstimationV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteGuestShipmentEstimationV1EstimateByExtendedAddressPost(cartId: string, quoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteGuestShipmentEstimationV1EstimateByExtendedAddressPost(cartId: string, quoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteGuestShipmentEstimationV1EstimateByExtendedAddressPost(cartId: string, quoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteGuestShipmentEstimationV1EstimateByExtendedAddressPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
}
