import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteDataShippingMethodInterface } from '../model/quoteDataShippingMethodInterface';
import { QuoteShippingMethodManagementV1EstimateByAddressIdPostBody } from '../model/quoteShippingMethodManagementV1EstimateByAddressIdPostBody';
import { QuoteShippingMethodManagementV1EstimateByAddressIdPostBody1 } from '../model/quoteShippingMethodManagementV1EstimateByAddressIdPostBody1';
import { Configuration } from '../configuration';
export declare class QuoteShippingMethodManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteShippingMethodManagementV1EstimateByAddressIdPost(cartId: number, quoteShippingMethodManagementV1EstimateByAddressIdPostBody?: QuoteShippingMethodManagementV1EstimateByAddressIdPostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteShippingMethodManagementV1EstimateByAddressIdPost(cartId: number, quoteShippingMethodManagementV1EstimateByAddressIdPostBody?: QuoteShippingMethodManagementV1EstimateByAddressIdPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1EstimateByAddressIdPost(cartId: number, quoteShippingMethodManagementV1EstimateByAddressIdPostBody?: QuoteShippingMethodManagementV1EstimateByAddressIdPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1EstimateByAddressIdPost_1(quoteShippingMethodManagementV1EstimateByAddressIdPostBody?: QuoteShippingMethodManagementV1EstimateByAddressIdPostBody1, observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteShippingMethodManagementV1EstimateByAddressIdPost_1(quoteShippingMethodManagementV1EstimateByAddressIdPostBody?: QuoteShippingMethodManagementV1EstimateByAddressIdPostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1EstimateByAddressIdPost_1(quoteShippingMethodManagementV1EstimateByAddressIdPostBody?: QuoteShippingMethodManagementV1EstimateByAddressIdPostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1GetListGet(cartId: number, observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteShippingMethodManagementV1GetListGet(cartId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1GetListGet(cartId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1GetListGet_2(observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteShippingMethodManagementV1GetListGet_2(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteShippingMethodManagementV1GetListGet_2(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
}
