import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesCreditmemoCommentRepositoryV1SavePostBody } from '../model/salesCreditmemoCommentRepositoryV1SavePostBody';
import { SalesDataCreditmemoCommentInterface } from '../model/salesDataCreditmemoCommentInterface';
import { Configuration } from '../configuration';
export declare class SalesCreditmemoCommentRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesCreditmemoCommentRepositoryV1SavePost(id: string, salesCreditmemoCommentRepositoryV1SavePostBody?: SalesCreditmemoCommentRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataCreditmemoCommentInterface>;
    salesCreditmemoCommentRepositoryV1SavePost(id: string, salesCreditmemoCommentRepositoryV1SavePostBody?: SalesCreditmemoCommentRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataCreditmemoCommentInterface>>;
    salesCreditmemoCommentRepositoryV1SavePost(id: string, salesCreditmemoCommentRepositoryV1SavePostBody?: SalesCreditmemoCommentRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataCreditmemoCommentInterface>>;
}
