import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesCreditmemoManagementV1RefundPostBody } from '../model/salesCreditmemoManagementV1RefundPostBody';
import { SalesDataCreditmemoCommentSearchResultInterface } from '../model/salesDataCreditmemoCommentSearchResultInterface';
import { SalesDataCreditmemoInterface } from '../model/salesDataCreditmemoInterface';
import { Configuration } from '../configuration';
export declare class SalesCreditmemoManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesCreditmemoManagementV1CancelPut(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    salesCreditmemoManagementV1CancelPut(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    salesCreditmemoManagementV1CancelPut(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    salesCreditmemoManagementV1GetCommentsListGet(id: number, observe?: 'body', reportProgress?: boolean): Observable<SalesDataCreditmemoCommentSearchResultInterface>;
    salesCreditmemoManagementV1GetCommentsListGet(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataCreditmemoCommentSearchResultInterface>>;
    salesCreditmemoManagementV1GetCommentsListGet(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataCreditmemoCommentSearchResultInterface>>;
    salesCreditmemoManagementV1NotifyPost(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    salesCreditmemoManagementV1NotifyPost(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    salesCreditmemoManagementV1NotifyPost(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    salesCreditmemoManagementV1RefundPost(salesCreditmemoManagementV1RefundPostBody?: SalesCreditmemoManagementV1RefundPostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataCreditmemoInterface>;
    salesCreditmemoManagementV1RefundPost(salesCreditmemoManagementV1RefundPostBody?: SalesCreditmemoManagementV1RefundPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataCreditmemoInterface>>;
    salesCreditmemoManagementV1RefundPost(salesCreditmemoManagementV1RefundPostBody?: SalesCreditmemoManagementV1RefundPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataCreditmemoInterface>>;
}
