import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesCreditmemoRepositoryV1SavePostBody } from '../model/salesCreditmemoRepositoryV1SavePostBody';
import { SalesDataCreditmemoInterface } from '../model/salesDataCreditmemoInterface';
import { SalesDataCreditmemoSearchResultInterface } from '../model/salesDataCreditmemoSearchResultInterface';
import { Configuration } from '../configuration';
export declare class SalesCreditmemoRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesCreditmemoRepositoryV1GetGet(id: number, observe?: 'body', reportProgress?: boolean): Observable<SalesDataCreditmemoInterface>;
    salesCreditmemoRepositoryV1GetGet(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataCreditmemoInterface>>;
    salesCreditmemoRepositoryV1GetGet(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataCreditmemoInterface>>;
    salesCreditmemoRepositoryV1GetListGet(searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'body', reportProgress?: boolean): Observable<SalesDataCreditmemoSearchResultInterface>;
    salesCreditmemoRepositoryV1GetListGet(searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataCreditmemoSearchResultInterface>>;
    salesCreditmemoRepositoryV1GetListGet(searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataCreditmemoSearchResultInterface>>;
    salesCreditmemoRepositoryV1SavePost(salesCreditmemoRepositoryV1SavePostBody?: SalesCreditmemoRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataCreditmemoInterface>;
    salesCreditmemoRepositoryV1SavePost(salesCreditmemoRepositoryV1SavePostBody?: SalesCreditmemoRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataCreditmemoInterface>>;
    salesCreditmemoRepositoryV1SavePost(salesCreditmemoRepositoryV1SavePostBody?: SalesCreditmemoRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataCreditmemoInterface>>;
}
