import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesDataInvoiceCommentInterface } from '../model/salesDataInvoiceCommentInterface';
import { SalesInvoiceCommentRepositoryV1SavePostBody } from '../model/salesInvoiceCommentRepositoryV1SavePostBody';
import { Configuration } from '../configuration';
export declare class SalesInvoiceCommentRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesInvoiceCommentRepositoryV1SavePost(salesInvoiceCommentRepositoryV1SavePostBody?: SalesInvoiceCommentRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataInvoiceCommentInterface>;
    salesInvoiceCommentRepositoryV1SavePost(salesInvoiceCommentRepositoryV1SavePostBody?: SalesInvoiceCommentRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataInvoiceCommentInterface>>;
    salesInvoiceCommentRepositoryV1SavePost(salesInvoiceCommentRepositoryV1SavePostBody?: SalesInvoiceCommentRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataInvoiceCommentInterface>>;
}
