import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesDataOrderAddressInterface } from '../model/salesDataOrderAddressInterface';
import { SalesOrderAddressRepositoryV1SavePutBody } from '../model/salesOrderAddressRepositoryV1SavePutBody';
import { Configuration } from '../configuration';
export declare class SalesOrderAddressRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesOrderAddressRepositoryV1SavePut(parentId: string, salesOrderAddressRepositoryV1SavePutBody?: SalesOrderAddressRepositoryV1SavePutBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataOrderAddressInterface>;
    salesOrderAddressRepositoryV1SavePut(parentId: string, salesOrderAddressRepositoryV1SavePutBody?: SalesOrderAddressRepositoryV1SavePutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataOrderAddressInterface>>;
    salesOrderAddressRepositoryV1SavePut(parentId: string, salesOrderAddressRepositoryV1SavePutBody?: SalesOrderAddressRepositoryV1SavePutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataOrderAddressInterface>>;
}
