import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesRuleCouponManagementV1DeleteByCodesPostBody } from '../model/salesRuleCouponManagementV1DeleteByCodesPostBody';
import { SalesRuleCouponManagementV1DeleteByIdsPostBody } from '../model/salesRuleCouponManagementV1DeleteByIdsPostBody';
import { SalesRuleCouponManagementV1GeneratePostBody } from '../model/salesRuleCouponManagementV1GeneratePostBody';
import { SalesRuleDataCouponMassDeleteResultInterface } from '../model/salesRuleDataCouponMassDeleteResultInterface';
import { Configuration } from '../configuration';
export declare class SalesRuleCouponManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesRuleCouponManagementV1DeleteByCodesPost(salesRuleCouponManagementV1DeleteByCodesPostBody?: SalesRuleCouponManagementV1DeleteByCodesPostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesRuleDataCouponMassDeleteResultInterface>;
    salesRuleCouponManagementV1DeleteByCodesPost(salesRuleCouponManagementV1DeleteByCodesPostBody?: SalesRuleCouponManagementV1DeleteByCodesPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesRuleDataCouponMassDeleteResultInterface>>;
    salesRuleCouponManagementV1DeleteByCodesPost(salesRuleCouponManagementV1DeleteByCodesPostBody?: SalesRuleCouponManagementV1DeleteByCodesPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesRuleDataCouponMassDeleteResultInterface>>;
    salesRuleCouponManagementV1DeleteByIdsPost(salesRuleCouponManagementV1DeleteByIdsPostBody?: SalesRuleCouponManagementV1DeleteByIdsPostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesRuleDataCouponMassDeleteResultInterface>;
    salesRuleCouponManagementV1DeleteByIdsPost(salesRuleCouponManagementV1DeleteByIdsPostBody?: SalesRuleCouponManagementV1DeleteByIdsPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesRuleDataCouponMassDeleteResultInterface>>;
    salesRuleCouponManagementV1DeleteByIdsPost(salesRuleCouponManagementV1DeleteByIdsPostBody?: SalesRuleCouponManagementV1DeleteByIdsPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesRuleDataCouponMassDeleteResultInterface>>;
    salesRuleCouponManagementV1GeneratePost(salesRuleCouponManagementV1GeneratePostBody?: SalesRuleCouponManagementV1GeneratePostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<string>>;
    salesRuleCouponManagementV1GeneratePost(salesRuleCouponManagementV1GeneratePostBody?: SalesRuleCouponManagementV1GeneratePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<string>>>;
    salesRuleCouponManagementV1GeneratePost(salesRuleCouponManagementV1GeneratePostBody?: SalesRuleCouponManagementV1GeneratePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<string>>>;
}
