import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesShipOrderV1ExecutePostBody } from '../model/salesShipOrderV1ExecutePostBody';
import { Configuration } from '../configuration';
export declare class SalesShipOrderV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesShipOrderV1ExecutePost(orderId: number, salesShipOrderV1ExecutePostBody?: SalesShipOrderV1ExecutePostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    salesShipOrderV1ExecutePost(orderId: number, salesShipOrderV1ExecutePostBody?: SalesShipOrderV1ExecutePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    salesShipOrderV1ExecutePost(orderId: number, salesShipOrderV1ExecutePostBody?: SalesShipOrderV1ExecutePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
