import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { FrameworkSearchSearchResultInterface } from '../model/frameworkSearchSearchResultInterface';
import { Configuration } from '../configuration';
export declare class SearchV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    searchV1SearchGet(searchCriteriaRequestName?: string, searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'body', reportProgress?: boolean): Observable<FrameworkSearchSearchResultInterface>;
    searchV1SearchGet(searchCriteriaRequestName?: string, searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<FrameworkSearchSearchResultInterface>>;
    searchV1SearchGet(searchCriteriaRequestName?: string, searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<FrameworkSearchSearchResultInterface>>;
}
