import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Configuration } from '../configuration';
export declare class SplashLabCorsRequestsCorsCheckV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    splashLabCorsRequestsCorsCheckV1CheckGet(observe?: 'body', reportProgress?: boolean): Observable<string>;
    splashLabCorsRequestsCorsCheckV1CheckGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    splashLabCorsRequestsCorsCheckV1CheckGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
}
