import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { StoreDataWebsiteInterface } from '../model/storeDataWebsiteInterface';
import { Configuration } from '../configuration';
export declare class StoreWebsiteRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    storeWebsiteRepositoryV1GetListGet(observe?: 'body', reportProgress?: boolean): Observable<Array<StoreDataWebsiteInterface>>;
    storeWebsiteRepositoryV1GetListGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<StoreDataWebsiteInterface>>>;
    storeWebsiteRepositoryV1GetListGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<StoreDataWebsiteInterface>>>;
}
