import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody } from '../model/temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody';
import { TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody } from '../model/temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody';
import { TemandoShippingDataCollectionPointQuoteCollectionPointInterface } from '../model/temandoShippingDataCollectionPointQuoteCollectionPointInterface';
import { TemandoShippingDataCollectionPointSearchRequestInterface } from '../model/temandoShippingDataCollectionPointSearchRequestInterface';
import { Configuration } from '../configuration';
export declare class TemandoShippingCollectionPointGuestCartCollectionPointManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1DeleteSearchRequestDelete(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1DeleteSearchRequestDelete(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1DeleteSearchRequestDelete(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1GetCollectionPointsGet(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<Array<TemandoShippingDataCollectionPointQuoteCollectionPointInterface>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1GetCollectionPointsGet(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<TemandoShippingDataCollectionPointQuoteCollectionPointInterface>>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1GetCollectionPointsGet(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<TemandoShippingDataCollectionPointQuoteCollectionPointInterface>>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPut(cartId: string, temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody?: TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody, observe?: 'body', reportProgress?: boolean): Observable<TemandoShippingDataCollectionPointSearchRequestInterface>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPut(cartId: string, temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody?: TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<TemandoShippingDataCollectionPointSearchRequestInterface>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPut(cartId: string, temandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody?: TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SaveSearchRequestPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<TemandoShippingDataCollectionPointSearchRequestInterface>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPost(cartId: string, temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody?: TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPost(cartId: string, temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody?: TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPost(cartId: string, temandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody?: TemandoShippingCollectionPointGuestCartCollectionPointManagementV1SelectCollectionPointPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
