import { CatalogDataEavAttributeExtensionInterface } from './catalogDataEavAttributeExtensionInterface';
import { EavDataAttributeFrontendLabelInterface } from './eavDataAttributeFrontendLabelInterface';
import { EavDataAttributeOptionInterface } from './eavDataAttributeOptionInterface';
import { EavDataAttributeValidationRuleInterface } from './eavDataAttributeValidationRuleInterface';
import { FrameworkAttributeInterface } from './frameworkAttributeInterface';
export interface CatalogDataCategoryAttributeInterface {
    isWysiwygEnabled?: boolean;
    isHtmlAllowedOnFront?: boolean;
    usedForSortBy?: boolean;
    isFilterable?: boolean;
    isFilterableInSearch?: boolean;
    isUsedInGrid?: boolean;
    isVisibleInGrid?: boolean;
    isFilterableInGrid?: boolean;
    position?: number;
    applyTo?: Array<string>;
    isSearchable?: string;
    isVisibleInAdvancedSearch?: string;
    isComparable?: string;
    isUsedForPromoRules?: string;
    isVisibleOnFront?: string;
    usedInProductListing?: string;
    isVisible?: boolean;
    scope?: string;
    extensionAttributes?: CatalogDataEavAttributeExtensionInterface;
    attributeId?: number;
    attributeCode: string;
    frontendInput: string;
    entityTypeId: string;
    isRequired: boolean;
    options?: Array<EavDataAttributeOptionInterface>;
    isUserDefined?: boolean;
    defaultFrontendLabel?: string;
    frontendLabels: Array<EavDataAttributeFrontendLabelInterface>;
    note?: string;
    backendType?: string;
    backendModel?: string;
    sourceModel?: string;
    defaultValue?: string;
    isUnique?: string;
    frontendClass?: string;
    validationRules?: Array<EavDataAttributeValidationRuleInterface>;
    customAttributes?: Array<FrameworkAttributeInterface>;
}
