import { CatalogDataProductCustomOptionExtensionInterface } from './catalogDataProductCustomOptionExtensionInterface';
import { CatalogDataProductCustomOptionValuesInterface } from './catalogDataProductCustomOptionValuesInterface';
export interface CatalogDataProductCustomOptionInterface {
    productSku: string;
    optionId?: number;
    title: string;
    type: string;
    sortOrder: number;
    isRequire: boolean;
    price?: number;
    priceType?: string;
    sku?: string;
    fileExtension?: string;
    maxCharacters?: number;
    imageSizeX?: number;
    imageSizeY?: number;
    values?: Array<CatalogDataProductCustomOptionValuesInterface>;
    extensionAttributes?: CatalogDataProductCustomOptionExtensionInterface;
}
