import { BundleDataOptionInterface } from './bundleDataOptionInterface';
import { CatalogDataCategoryLinkInterface } from './catalogDataCategoryLinkInterface';
import { CatalogInventoryDataStockItemInterface } from './catalogInventoryDataStockItemInterface';
import { ConfigurableProductDataOptionInterface } from './configurableProductDataOptionInterface';
import { DownloadableDataLinkInterface } from './downloadableDataLinkInterface';
import { DownloadableDataSampleInterface } from './downloadableDataSampleInterface';
export interface CatalogDataProductExtensionInterface {
    websiteIds?: Array<number>;
    categoryLinks?: Array<CatalogDataCategoryLinkInterface>;
    bundleProductOptions?: Array<BundleDataOptionInterface>;
    stockItem?: CatalogInventoryDataStockItemInterface;
    configurableProductOptions?: Array<ConfigurableProductDataOptionInterface>;
    configurableProductLinks?: Array<number>;
    downloadableProductLinks?: Array<DownloadableDataLinkInterface>;
    downloadableProductSamples?: Array<DownloadableDataSampleInterface>;
}
