import { CustomerDataOptionInterface } from './customerDataOptionInterface';
import { CustomerDataValidationRuleInterface } from './customerDataValidationRuleInterface';
export interface CustomerDataAttributeMetadataInterface {
    frontendInput: string;
    inputFilter: string;
    storeLabel: string;
    validationRules: Array<CustomerDataValidationRuleInterface>;
    multilineCount: number;
    visible: boolean;
    required: boolean;
    dataModel: string;
    options: Array<CustomerDataOptionInterface>;
    frontendClass: string;
    userDefined: boolean;
    sortOrder: number;
    frontendLabel: string;
    note: string;
    system: boolean;
    backendType: string;
    isUsedInGrid?: boolean;
    isVisibleInGrid?: boolean;
    isFilterableInGrid?: boolean;
    isSearchableInGrid?: boolean;
    attributeCode: string;
}
