import { CustomerDataAddressInterface } from './customerDataAddressInterface';
import { CustomerDataCustomerExtensionInterface } from './customerDataCustomerExtensionInterface';
import { FrameworkAttributeInterface } from './frameworkAttributeInterface';
export interface CustomerDataCustomerInterface {
    id?: number;
    groupId?: number;
    defaultBilling?: string;
    defaultShipping?: string;
    confirmation?: string;
    createdAt?: string;
    updatedAt?: string;
    createdIn?: string;
    dob?: string;
    email: string;
    firstname: string;
    lastname: string;
    middlename?: string;
    prefix?: string;
    suffix?: string;
    gender?: number;
    storeId?: number;
    taxvat?: string;
    websiteId?: number;
    addresses?: Array<CustomerDataAddressInterface>;
    disableAutoGroupChange?: number;
    extensionAttributes?: CustomerDataCustomerExtensionInterface;
    customAttributes?: Array<FrameworkAttributeInterface>;
}
