import { DirectoryDataCountryInformationExtensionInterface } from './directoryDataCountryInformationExtensionInterface';
import { DirectoryDataRegionInformationInterface } from './directoryDataRegionInformationInterface';
export interface DirectoryDataCountryInformationInterface {
    id: string;
    twoLetterAbbreviation: string;
    threeLetterAbbreviation: string;
    fullNameLocale: string;
    fullNameEnglish: string;
    availableRegions?: Array<DirectoryDataRegionInformationInterface>;
    extensionAttributes?: DirectoryDataCountryInformationExtensionInterface;
}
