import { DownloadableDataFileContentInterface } from './downloadableDataFileContentInterface';
import { DownloadableDataLinkExtensionInterface } from './downloadableDataLinkExtensionInterface';
export interface DownloadableDataLinkInterface {
    id?: number;
    title?: string;
    sortOrder: number;
    isShareable: number;
    price: number;
    numberOfDownloads?: number;
    linkType: string;
    linkFile?: string;
    linkFileContent?: DownloadableDataFileContentInterface;
    linkUrl?: string;
    sampleType: string;
    sampleFile?: string;
    sampleFileContent?: DownloadableDataFileContentInterface;
    sampleUrl?: string;
    extensionAttributes?: DownloadableDataLinkExtensionInterface;
}
