import { FrameworkAttributeInterface } from './frameworkAttributeInterface';
import { QuoteDataAddressExtensionInterface } from './quoteDataAddressExtensionInterface';
export interface QuoteDataAddressInterface {
    id?: number;
    region: string;
    regionId: number;
    regionCode: string;
    countryId: string;
    street: Array<string>;
    company?: string;
    telephone: string;
    fax?: string;
    postcode: string;
    city: string;
    firstname: string;
    lastname: string;
    middlename?: string;
    prefix?: string;
    suffix?: string;
    vatId?: string;
    customerId?: number;
    email: string;
    sameAsBilling?: number;
    customerAddressId?: number;
    saveInAddressBook?: number;
    extensionAttributes?: QuoteDataAddressExtensionInterface;
    customAttributes?: Array<FrameworkAttributeInterface>;
}
