import { QuoteDataTotalSegmentInterface } from './quoteDataTotalSegmentInterface';
import { QuoteDataTotalsExtensionInterface } from './quoteDataTotalsExtensionInterface';
import { QuoteDataTotalsItemInterface } from './quoteDataTotalsItemInterface';
export interface QuoteDataTotalsInterface {
    grandTotal?: number;
    baseGrandTotal?: number;
    subtotal?: number;
    baseSubtotal?: number;
    discountAmount?: number;
    baseDiscountAmount?: number;
    subtotalWithDiscount?: number;
    baseSubtotalWithDiscount?: number;
    shippingAmount?: number;
    baseShippingAmount?: number;
    shippingDiscountAmount?: number;
    baseShippingDiscountAmount?: number;
    taxAmount?: number;
    baseTaxAmount?: number;
    weeeTaxAppliedAmount: number;
    shippingTaxAmount?: number;
    baseShippingTaxAmount?: number;
    subtotalInclTax?: number;
    baseSubtotalInclTax?: number;
    shippingInclTax?: number;
    baseShippingInclTax?: number;
    baseCurrencyCode?: string;
    quoteCurrencyCode?: string;
    couponCode?: string;
    itemsQty?: number;
    items?: Array<QuoteDataTotalsItemInterface>;
    totalSegments: Array<QuoteDataTotalSegmentInterface>;
    extensionAttributes?: QuoteDataTotalsExtensionInterface;
}
