import { QuoteDataTotalsItemExtensionInterface } from './quoteDataTotalsItemExtensionInterface';
export interface QuoteDataTotalsItemInterface {
    itemId: number;
    price: number;
    basePrice: number;
    qty: number;
    rowTotal: number;
    baseRowTotal: number;
    rowTotalWithDiscount?: number;
    taxAmount?: number;
    baseTaxAmount?: number;
    taxPercent?: number;
    discountAmount?: number;
    baseDiscountAmount?: number;
    discountPercent?: number;
    priceInclTax?: number;
    basePriceInclTax?: number;
    rowTotalInclTax?: number;
    baseRowTotalInclTax?: number;
    options: string;
    weeeTaxAppliedAmount: number;
    weeeTaxApplied: string;
    extensionAttributes?: QuoteDataTotalsItemExtensionInterface;
    name?: string;
}
