import { SalesDataOrderPaymentExtensionInterface } from './salesDataOrderPaymentExtensionInterface';
export interface SalesDataOrderPaymentInterface {
    accountStatus: string;
    additionalData?: string;
    additionalInformation: Array<string>;
    addressStatus?: string;
    amountAuthorized?: number;
    amountCanceled?: number;
    amountOrdered?: number;
    amountPaid?: number;
    amountRefunded?: number;
    anetTransMethod?: string;
    baseAmountAuthorized?: number;
    baseAmountCanceled?: number;
    baseAmountOrdered?: number;
    baseAmountPaid?: number;
    baseAmountPaidOnline?: number;
    baseAmountRefunded?: number;
    baseAmountRefundedOnline?: number;
    baseShippingAmount?: number;
    baseShippingCaptured?: number;
    baseShippingRefunded?: number;
    ccApproval?: string;
    ccAvsStatus?: string;
    ccCidStatus?: string;
    ccDebugRequestBody?: string;
    ccDebugResponseBody?: string;
    ccDebugResponseSerialized?: string;
    ccExpMonth?: string;
    ccExpYear?: string;
    ccLast4: string;
    ccNumberEnc?: string;
    ccOwner?: string;
    ccSecureVerify?: string;
    ccSsIssue?: string;
    ccSsStartMonth?: string;
    ccSsStartYear?: string;
    ccStatus?: string;
    ccStatusDescription?: string;
    ccTransId?: string;
    ccType?: string;
    echeckAccountName?: string;
    echeckAccountType?: string;
    echeckBankName?: string;
    echeckRoutingNumber?: string;
    echeckType?: string;
    entityId?: number;
    lastTransId?: string;
    method: string;
    parentId?: number;
    poNumber?: string;
    protectionEligibility?: string;
    quotePaymentId?: number;
    shippingAmount?: number;
    shippingCaptured?: number;
    shippingRefunded?: number;
    extensionAttributes?: SalesDataOrderPaymentExtensionInterface;
}
