import { SalesDataShipmentCommentInterface } from './salesDataShipmentCommentInterface';
import { SalesDataShipmentExtensionInterface } from './salesDataShipmentExtensionInterface';
import { SalesDataShipmentItemInterface } from './salesDataShipmentItemInterface';
import { SalesDataShipmentPackageInterface } from './salesDataShipmentPackageInterface';
import { SalesDataShipmentTrackInterface } from './salesDataShipmentTrackInterface';
export interface SalesDataShipmentInterface {
    billingAddressId?: number;
    createdAt?: string;
    customerId?: number;
    emailSent?: number;
    entityId?: number;
    incrementId?: string;
    orderId: number;
    packages?: Array<SalesDataShipmentPackageInterface>;
    shipmentStatus?: number;
    shippingAddressId?: number;
    shippingLabel?: string;
    storeId?: number;
    totalQty?: number;
    totalWeight?: number;
    updatedAt?: string;
    items: Array<SalesDataShipmentItemInterface>;
    tracks: Array<SalesDataShipmentTrackInterface>;
    comments: Array<SalesDataShipmentCommentInterface>;
    extensionAttributes?: SalesDataShipmentExtensionInterface;
}
