import { SalesRuleDataConditionInterface } from './salesRuleDataConditionInterface';
import { SalesRuleDataRuleExtensionInterface } from './salesRuleDataRuleExtensionInterface';
import { SalesRuleDataRuleLabelInterface } from './salesRuleDataRuleLabelInterface';
export interface SalesRuleDataRuleInterface {
    ruleId?: number;
    name?: string;
    storeLabels?: Array<SalesRuleDataRuleLabelInterface>;
    description?: string;
    websiteIds: Array<number>;
    customerGroupIds: Array<number>;
    fromDate?: string;
    toDate?: string;
    usesPerCustomer: number;
    isActive: boolean;
    condition?: SalesRuleDataConditionInterface;
    actionCondition?: SalesRuleDataConditionInterface;
    stopRulesProcessing: boolean;
    isAdvanced: boolean;
    productIds?: Array<number>;
    sortOrder: number;
    simpleAction?: string;
    discountAmount: number;
    discountQty?: number;
    discountStep: number;
    applyToShipping: boolean;
    timesUsed: number;
    isRss: boolean;
    couponType: string;
    useAutoGeneration: boolean;
    usesPerCoupon: number;
    simpleFreeShipping?: string;
    extensionAttributes?: SalesRuleDataRuleExtensionInterface;
}
