import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { AmazonPaymentAddressManagementV1GetBillingAddressPutBody } from '../model/amazonPaymentAddressManagementV1GetBillingAddressPutBody';
import { AmazonPaymentAddressManagementV1GetShippingAddressPutBody } from '../model/amazonPaymentAddressManagementV1GetShippingAddressPutBody';
import { Configuration } from '../configuration';
export declare class AmazonPaymentAddressManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    amazonPaymentAddressManagementV1GetBillingAddressPut(amazonOrderReferenceId: string, amazonPaymentAddressManagementV1GetBillingAddressPutBody?: AmazonPaymentAddressManagementV1GetBillingAddressPutBody, observe?: 'body', reportProgress?: boolean): Observable<string>;
    amazonPaymentAddressManagementV1GetBillingAddressPut(amazonOrderReferenceId: string, amazonPaymentAddressManagementV1GetBillingAddressPutBody?: AmazonPaymentAddressManagementV1GetBillingAddressPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    amazonPaymentAddressManagementV1GetBillingAddressPut(amazonOrderReferenceId: string, amazonPaymentAddressManagementV1GetBillingAddressPutBody?: AmazonPaymentAddressManagementV1GetBillingAddressPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    amazonPaymentAddressManagementV1GetShippingAddressPut(amazonOrderReferenceId: string, amazonPaymentAddressManagementV1GetShippingAddressPutBody?: AmazonPaymentAddressManagementV1GetShippingAddressPutBody, observe?: 'body', reportProgress?: boolean): Observable<string>;
    amazonPaymentAddressManagementV1GetShippingAddressPut(amazonOrderReferenceId: string, amazonPaymentAddressManagementV1GetShippingAddressPutBody?: AmazonPaymentAddressManagementV1GetShippingAddressPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    amazonPaymentAddressManagementV1GetShippingAddressPut(amazonOrderReferenceId: string, amazonPaymentAddressManagementV1GetShippingAddressPutBody?: AmazonPaymentAddressManagementV1GetShippingAddressPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
}
