import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { ErrorResponse } from '../model/errorResponse';
import { Configuration } from '../configuration';
export declare class AmazonPaymentOrderInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    amazonPaymentOrderInformationManagementV1RemoveOrderReferenceDelete(observe?: 'body', reportProgress?: boolean): Observable<ErrorResponse>;
    amazonPaymentOrderInformationManagementV1RemoveOrderReferenceDelete(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<ErrorResponse>>;
    amazonPaymentOrderInformationManagementV1RemoveOrderReferenceDelete(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<ErrorResponse>>;
}
