import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { AnalyticsDataLinkInterface } from '../model/analyticsDataLinkInterface';
import { Configuration } from '../configuration';
export declare class AnalyticsLinkProviderV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    analyticsLinkProviderV1GetGet(observe?: 'body', reportProgress?: boolean): Observable<AnalyticsDataLinkInterface>;
    analyticsLinkProviderV1GetGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<AnalyticsDataLinkInterface>>;
    analyticsLinkProviderV1GetGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<AnalyticsDataLinkInterface>>;
}
