import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { Configuration } from '../configuration';
export declare class BackendModuleServiceV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    backendModuleServiceV1GetModulesGet(observe?: 'body', reportProgress?: boolean): Observable<Array<string>>;
    backendModuleServiceV1GetModulesGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<string>>>;
    backendModuleServiceV1GetModulesGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<string>>>;
}
