import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { BundleDataOptionTypeInterface } from '../model/bundleDataOptionTypeInterface';
import { Configuration } from '../configuration';
export declare class BundleProductOptionTypeListV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    bundleProductOptionTypeListV1GetItemsGet(observe?: 'body', reportProgress?: boolean): Observable<Array<BundleDataOptionTypeInterface>>;
    bundleProductOptionTypeListV1GetItemsGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<BundleDataOptionTypeInterface>>>;
    bundleProductOptionTypeListV1GetItemsGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<BundleDataOptionTypeInterface>>>;
}
