import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogAttributeSetManagementV1CreatePostBody } from '../model/catalogAttributeSetManagementV1CreatePostBody';
import { EavDataAttributeSetInterface } from '../model/eavDataAttributeSetInterface';
import { Configuration } from '../configuration';
export declare class CatalogAttributeSetManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogAttributeSetManagementV1CreatePost(catalogAttributeSetManagementV1CreatePostBody?: CatalogAttributeSetManagementV1CreatePostBody, observe?: 'body', reportProgress?: boolean): Observable<EavDataAttributeSetInterface>;
    catalogAttributeSetManagementV1CreatePost(catalogAttributeSetManagementV1CreatePostBody?: CatalogAttributeSetManagementV1CreatePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<EavDataAttributeSetInterface>>;
    catalogAttributeSetManagementV1CreatePost(catalogAttributeSetManagementV1CreatePostBody?: CatalogAttributeSetManagementV1CreatePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<EavDataAttributeSetInterface>>;
}
