import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogProductAttributeGroupRepositoryV1SavePostBody } from '../model/catalogProductAttributeGroupRepositoryV1SavePostBody';
import { CatalogProductAttributeGroupRepositoryV1SavePutBody } from '../model/catalogProductAttributeGroupRepositoryV1SavePutBody';
import { EavDataAttributeGroupInterface } from '../model/eavDataAttributeGroupInterface';
import { EavDataAttributeGroupSearchResultsInterface } from '../model/eavDataAttributeGroupSearchResultsInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductAttributeGroupRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductAttributeGroupRepositoryV1DeleteByIdDelete(groupId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    catalogProductAttributeGroupRepositoryV1DeleteByIdDelete(groupId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    catalogProductAttributeGroupRepositoryV1DeleteByIdDelete(groupId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    catalogProductAttributeGroupRepositoryV1GetListGet(searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'body', reportProgress?: boolean): Observable<EavDataAttributeGroupSearchResultsInterface>;
    catalogProductAttributeGroupRepositoryV1GetListGet(searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<EavDataAttributeGroupSearchResultsInterface>>;
    catalogProductAttributeGroupRepositoryV1GetListGet(searchCriteriaFilterGroupsFiltersField?: string, searchCriteriaFilterGroupsFiltersValue?: string, searchCriteriaFilterGroupsFiltersConditionType?: string, searchCriteriaSortOrdersField?: string, searchCriteriaSortOrdersDirection?: string, searchCriteriaPageSize?: number, searchCriteriaCurrentPage?: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<EavDataAttributeGroupSearchResultsInterface>>;
    catalogProductAttributeGroupRepositoryV1SavePost(catalogProductAttributeGroupRepositoryV1SavePostBody?: CatalogProductAttributeGroupRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<EavDataAttributeGroupInterface>;
    catalogProductAttributeGroupRepositoryV1SavePost(catalogProductAttributeGroupRepositoryV1SavePostBody?: CatalogProductAttributeGroupRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<EavDataAttributeGroupInterface>>;
    catalogProductAttributeGroupRepositoryV1SavePost(catalogProductAttributeGroupRepositoryV1SavePostBody?: CatalogProductAttributeGroupRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<EavDataAttributeGroupInterface>>;
    catalogProductAttributeGroupRepositoryV1SavePut(attributeSetId: string, catalogProductAttributeGroupRepositoryV1SavePutBody?: CatalogProductAttributeGroupRepositoryV1SavePutBody, observe?: 'body', reportProgress?: boolean): Observable<EavDataAttributeGroupInterface>;
    catalogProductAttributeGroupRepositoryV1SavePut(attributeSetId: string, catalogProductAttributeGroupRepositoryV1SavePutBody?: CatalogProductAttributeGroupRepositoryV1SavePutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<EavDataAttributeGroupInterface>>;
    catalogProductAttributeGroupRepositoryV1SavePut(attributeSetId: string, catalogProductAttributeGroupRepositoryV1SavePutBody?: CatalogProductAttributeGroupRepositoryV1SavePutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<EavDataAttributeGroupInterface>>;
}
