import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogProductAttributeOptionManagementV1AddPostBody } from '../model/catalogProductAttributeOptionManagementV1AddPostBody';
import { EavDataAttributeOptionInterface } from '../model/eavDataAttributeOptionInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductAttributeOptionManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductAttributeOptionManagementV1AddPost(attributeCode: string, catalogProductAttributeOptionManagementV1AddPostBody?: CatalogProductAttributeOptionManagementV1AddPostBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    catalogProductAttributeOptionManagementV1AddPost(attributeCode: string, catalogProductAttributeOptionManagementV1AddPostBody?: CatalogProductAttributeOptionManagementV1AddPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    catalogProductAttributeOptionManagementV1AddPost(attributeCode: string, catalogProductAttributeOptionManagementV1AddPostBody?: CatalogProductAttributeOptionManagementV1AddPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    catalogProductAttributeOptionManagementV1DeleteDelete(attributeCode: string, optionId: string, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    catalogProductAttributeOptionManagementV1DeleteDelete(attributeCode: string, optionId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    catalogProductAttributeOptionManagementV1DeleteDelete(attributeCode: string, optionId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    catalogProductAttributeOptionManagementV1GetItemsGet(attributeCode: string, observe?: 'body', reportProgress?: boolean): Observable<Array<EavDataAttributeOptionInterface>>;
    catalogProductAttributeOptionManagementV1GetItemsGet(attributeCode: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<EavDataAttributeOptionInterface>>>;
    catalogProductAttributeOptionManagementV1GetItemsGet(attributeCode: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<EavDataAttributeOptionInterface>>>;
}
