import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataProductCustomOptionTypeInterface } from '../model/catalogDataProductCustomOptionTypeInterface';
import { Configuration } from '../configuration';
export declare class CatalogProductCustomOptionTypeListV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    catalogProductCustomOptionTypeListV1GetItemsGet(observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductCustomOptionTypeInterface>>;
    catalogProductCustomOptionTypeListV1GetItemsGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductCustomOptionTypeInterface>>>;
    catalogProductCustomOptionTypeListV1GetItemsGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductCustomOptionTypeInterface>>>;
}
