import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutAgreementsDataAgreementInterface } from '../model/checkoutAgreementsDataAgreementInterface';
import { Configuration } from '../configuration';
export declare class CheckoutAgreementsCheckoutAgreementsRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutAgreementsCheckoutAgreementsRepositoryV1GetListGet(observe?: 'body', reportProgress?: boolean): Observable<Array<CheckoutAgreementsDataAgreementInterface>>;
    checkoutAgreementsCheckoutAgreementsRepositoryV1GetListGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CheckoutAgreementsDataAgreementInterface>>>;
    checkoutAgreementsCheckoutAgreementsRepositoryV1GetListGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CheckoutAgreementsDataAgreementInterface>>>;
}
