import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CheckoutGuestTotalsInformationManagementV1CalculatePostBody } from '../model/checkoutGuestTotalsInformationManagementV1CalculatePostBody';
import { QuoteDataTotalsInterface } from '../model/quoteDataTotalsInterface';
import { Configuration } from '../configuration';
export declare class CheckoutGuestTotalsInformationManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    checkoutGuestTotalsInformationManagementV1CalculatePost(cartId: string, checkoutGuestTotalsInformationManagementV1CalculatePostBody?: CheckoutGuestTotalsInformationManagementV1CalculatePostBody, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataTotalsInterface>;
    checkoutGuestTotalsInformationManagementV1CalculatePost(cartId: string, checkoutGuestTotalsInformationManagementV1CalculatePostBody?: CheckoutGuestTotalsInformationManagementV1CalculatePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataTotalsInterface>>;
    checkoutGuestTotalsInformationManagementV1CalculatePost(cartId: string, checkoutGuestTotalsInformationManagementV1CalculatePostBody?: CheckoutGuestTotalsInformationManagementV1CalculatePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataTotalsInterface>>;
}
