import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CatalogDataProductInterface } from '../model/catalogDataProductInterface';
import { ConfigurableProductConfigurableProductManagementV1GenerateVariationPutBody } from '../model/configurableProductConfigurableProductManagementV1GenerateVariationPutBody';
import { Configuration } from '../configuration';
export declare class ConfigurableProductConfigurableProductManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    configurableProductConfigurableProductManagementV1GenerateVariationPut(configurableProductConfigurableProductManagementV1GenerateVariationPutBody?: ConfigurableProductConfigurableProductManagementV1GenerateVariationPutBody, observe?: 'body', reportProgress?: boolean): Observable<Array<CatalogDataProductInterface>>;
    configurableProductConfigurableProductManagementV1GenerateVariationPut(configurableProductConfigurableProductManagementV1GenerateVariationPutBody?: ConfigurableProductConfigurableProductManagementV1GenerateVariationPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<CatalogDataProductInterface>>>;
    configurableProductConfigurableProductManagementV1GenerateVariationPut(configurableProductConfigurableProductManagementV1GenerateVariationPutBody?: ConfigurableProductConfigurableProductManagementV1GenerateVariationPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<CatalogDataProductInterface>>>;
}
