import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CustomerDataAddressInterface } from '../model/customerDataAddressInterface';
import { Configuration } from '../configuration';
export declare class CustomerAddressRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    customerAddressRepositoryV1DeleteByIdDelete(addressId: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    customerAddressRepositoryV1DeleteByIdDelete(addressId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    customerAddressRepositoryV1DeleteByIdDelete(addressId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    customerAddressRepositoryV1GetByIdGet(addressId: number, observe?: 'body', reportProgress?: boolean): Observable<CustomerDataAddressInterface>;
    customerAddressRepositoryV1GetByIdGet(addressId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CustomerDataAddressInterface>>;
    customerAddressRepositoryV1GetByIdGet(addressId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CustomerDataAddressInterface>>;
}
