import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { CustomerDataGroupInterface } from '../model/customerDataGroupInterface';
import { Configuration } from '../configuration';
export declare class CustomerGroupManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    customerGroupManagementV1GetDefaultGroupGet(storeId: number, observe?: 'body', reportProgress?: boolean): Observable<CustomerDataGroupInterface>;
    customerGroupManagementV1GetDefaultGroupGet(storeId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CustomerDataGroupInterface>>;
    customerGroupManagementV1GetDefaultGroupGet(storeId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CustomerDataGroupInterface>>;
    customerGroupManagementV1GetDefaultGroupGet_1(storeId?: number, observe?: 'body', reportProgress?: boolean): Observable<CustomerDataGroupInterface>;
    customerGroupManagementV1GetDefaultGroupGet_1(storeId?: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<CustomerDataGroupInterface>>;
    customerGroupManagementV1GetDefaultGroupGet_1(storeId?: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<CustomerDataGroupInterface>>;
    customerGroupManagementV1IsReadonlyGet(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    customerGroupManagementV1IsReadonlyGet(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    customerGroupManagementV1IsReadonlyGet(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
