import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { DirectoryDataCountryInformationInterface } from '../model/directoryDataCountryInformationInterface';
import { Configuration } from '../configuration';
export declare class DirectoryCountryInformationAcquirerV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    directoryCountryInformationAcquirerV1GetCountriesInfoGet(observe?: 'body', reportProgress?: boolean): Observable<Array<DirectoryDataCountryInformationInterface>>;
    directoryCountryInformationAcquirerV1GetCountriesInfoGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<DirectoryDataCountryInformationInterface>>>;
    directoryCountryInformationAcquirerV1GetCountriesInfoGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<DirectoryDataCountryInformationInterface>>>;
    directoryCountryInformationAcquirerV1GetCountryInfoGet(countryId: string, observe?: 'body', reportProgress?: boolean): Observable<DirectoryDataCountryInformationInterface>;
    directoryCountryInformationAcquirerV1GetCountryInfoGet(countryId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<DirectoryDataCountryInformationInterface>>;
    directoryCountryInformationAcquirerV1GetCountryInfoGet(countryId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<DirectoryDataCountryInformationInterface>>;
}
