import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { DirectoryDataCurrencyInformationInterface } from '../model/directoryDataCurrencyInformationInterface';
import { Configuration } from '../configuration';
export declare class DirectoryCurrencyInformationAcquirerV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    directoryCurrencyInformationAcquirerV1GetCurrencyInfoGet(observe?: 'body', reportProgress?: boolean): Observable<DirectoryDataCurrencyInformationInterface>;
    directoryCurrencyInformationAcquirerV1GetCurrencyInfoGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<DirectoryDataCurrencyInformationInterface>>;
    directoryCurrencyInformationAcquirerV1GetCurrencyInfoGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<DirectoryDataCurrencyInformationInterface>>;
}
