import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { EavAttributeSetManagementV1CreatePostBody } from '../model/eavAttributeSetManagementV1CreatePostBody';
import { EavDataAttributeSetInterface } from '../model/eavDataAttributeSetInterface';
import { Configuration } from '../configuration';
export declare class EavAttributeSetManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    eavAttributeSetManagementV1CreatePost(eavAttributeSetManagementV1CreatePostBody?: EavAttributeSetManagementV1CreatePostBody, observe?: 'body', reportProgress?: boolean): Observable<EavDataAttributeSetInterface>;
    eavAttributeSetManagementV1CreatePost(eavAttributeSetManagementV1CreatePostBody?: EavAttributeSetManagementV1CreatePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<EavDataAttributeSetInterface>>;
    eavAttributeSetManagementV1CreatePost(eavAttributeSetManagementV1CreatePostBody?: EavAttributeSetManagementV1CreatePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<EavDataAttributeSetInterface>>;
}
