import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { GiftMessageCartRepositoryV1SavePostBody } from '../model/giftMessageCartRepositoryV1SavePostBody';
import { GiftMessageCartRepositoryV1SavePostBody1 } from '../model/giftMessageCartRepositoryV1SavePostBody1';
import { GiftMessageDataMessageInterface } from '../model/giftMessageDataMessageInterface';
import { Configuration } from '../configuration';
export declare class GiftMessageCartRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    giftMessageCartRepositoryV1GetGet(cartId: number, observe?: 'body', reportProgress?: boolean): Observable<GiftMessageDataMessageInterface>;
    giftMessageCartRepositoryV1GetGet(cartId: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GiftMessageDataMessageInterface>>;
    giftMessageCartRepositoryV1GetGet(cartId: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GiftMessageDataMessageInterface>>;
    giftMessageCartRepositoryV1GetGet_1(observe?: 'body', reportProgress?: boolean): Observable<GiftMessageDataMessageInterface>;
    giftMessageCartRepositoryV1GetGet_1(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GiftMessageDataMessageInterface>>;
    giftMessageCartRepositoryV1GetGet_1(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GiftMessageDataMessageInterface>>;
    giftMessageCartRepositoryV1SavePost(cartId: number, giftMessageCartRepositoryV1SavePostBody?: GiftMessageCartRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    giftMessageCartRepositoryV1SavePost(cartId: number, giftMessageCartRepositoryV1SavePostBody?: GiftMessageCartRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    giftMessageCartRepositoryV1SavePost(cartId: number, giftMessageCartRepositoryV1SavePostBody?: GiftMessageCartRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    giftMessageCartRepositoryV1SavePost_2(giftMessageCartRepositoryV1SavePostBody?: GiftMessageCartRepositoryV1SavePostBody1, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    giftMessageCartRepositoryV1SavePost_2(giftMessageCartRepositoryV1SavePostBody?: GiftMessageCartRepositoryV1SavePostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    giftMessageCartRepositoryV1SavePost_2(giftMessageCartRepositoryV1SavePostBody?: GiftMessageCartRepositoryV1SavePostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
