import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { GiftMessageDataMessageInterface } from '../model/giftMessageDataMessageInterface';
import { GiftMessageGuestCartRepositoryV1SavePostBody } from '../model/giftMessageGuestCartRepositoryV1SavePostBody';
import { Configuration } from '../configuration';
export declare class GiftMessageGuestCartRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    giftMessageGuestCartRepositoryV1GetGet(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<GiftMessageDataMessageInterface>;
    giftMessageGuestCartRepositoryV1GetGet(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<GiftMessageDataMessageInterface>>;
    giftMessageGuestCartRepositoryV1GetGet(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<GiftMessageDataMessageInterface>>;
    giftMessageGuestCartRepositoryV1SavePost(cartId: string, giftMessageGuestCartRepositoryV1SavePostBody?: GiftMessageGuestCartRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    giftMessageGuestCartRepositoryV1SavePost(cartId: string, giftMessageGuestCartRepositoryV1SavePostBody?: GiftMessageGuestCartRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    giftMessageGuestCartRepositoryV1SavePost(cartId: string, giftMessageGuestCartRepositoryV1SavePostBody?: GiftMessageGuestCartRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
