import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { IntegrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody } from '../model/integrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody';
import { Configuration } from '../configuration';
export declare class IntegrationCustomerTokenServiceV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    integrationCustomerTokenServiceV1CreateCustomerAccessTokenPost(integrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody?: IntegrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody, observe?: 'body', reportProgress?: boolean): Observable<string>;
    integrationCustomerTokenServiceV1CreateCustomerAccessTokenPost(integrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody?: IntegrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    integrationCustomerTokenServiceV1CreateCustomerAccessTokenPost(integrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody?: IntegrationCustomerTokenServiceV1CreateCustomerAccessTokenPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
}
