import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteDataAddressInterface } from '../model/quoteDataAddressInterface';
import { QuoteGuestBillingAddressManagementV1AssignPostBody } from '../model/quoteGuestBillingAddressManagementV1AssignPostBody';
import { Configuration } from '../configuration';
export declare class QuoteGuestBillingAddressManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteGuestBillingAddressManagementV1AssignPost(cartId: string, quoteGuestBillingAddressManagementV1AssignPostBody?: QuoteGuestBillingAddressManagementV1AssignPostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    quoteGuestBillingAddressManagementV1AssignPost(cartId: string, quoteGuestBillingAddressManagementV1AssignPostBody?: QuoteGuestBillingAddressManagementV1AssignPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    quoteGuestBillingAddressManagementV1AssignPost(cartId: string, quoteGuestBillingAddressManagementV1AssignPostBody?: QuoteGuestBillingAddressManagementV1AssignPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
    quoteGuestBillingAddressManagementV1GetGet(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataAddressInterface>;
    quoteGuestBillingAddressManagementV1GetGet(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataAddressInterface>>;
    quoteGuestBillingAddressManagementV1GetGet(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataAddressInterface>>;
}
