import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteDataCartInterface } from '../model/quoteDataCartInterface';
import { Configuration } from '../configuration';
export declare class QuoteGuestCartRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteGuestCartRepositoryV1GetGet(cartId: string, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataCartInterface>;
    quoteGuestCartRepositoryV1GetGet(cartId: string, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataCartInterface>>;
    quoteGuestCartRepositoryV1GetGet(cartId: string, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataCartInterface>>;
}
