import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteDataTotalsInterface } from '../model/quoteDataTotalsInterface';
import { QuoteGuestCartTotalManagementV1CollectTotalsPutBody } from '../model/quoteGuestCartTotalManagementV1CollectTotalsPutBody';
import { Configuration } from '../configuration';
export declare class QuoteGuestCartTotalManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteGuestCartTotalManagementV1CollectTotalsPut(cartId: string, quoteGuestCartTotalManagementV1CollectTotalsPutBody?: QuoteGuestCartTotalManagementV1CollectTotalsPutBody, observe?: 'body', reportProgress?: boolean): Observable<QuoteDataTotalsInterface>;
    quoteGuestCartTotalManagementV1CollectTotalsPut(cartId: string, quoteGuestCartTotalManagementV1CollectTotalsPutBody?: QuoteGuestCartTotalManagementV1CollectTotalsPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<QuoteDataTotalsInterface>>;
    quoteGuestCartTotalManagementV1CollectTotalsPut(cartId: string, quoteGuestCartTotalManagementV1CollectTotalsPutBody?: QuoteGuestCartTotalManagementV1CollectTotalsPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<QuoteDataTotalsInterface>>;
}
