import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { QuoteDataShippingMethodInterface } from '../model/quoteDataShippingMethodInterface';
import { QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody } from '../model/quoteShipmentEstimationV1EstimateByExtendedAddressPostBody';
import { QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody1 } from '../model/quoteShipmentEstimationV1EstimateByExtendedAddressPostBody1';
import { Configuration } from '../configuration';
export declare class QuoteShipmentEstimationV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    quoteShipmentEstimationV1EstimateByExtendedAddressPost(cartId: string, quoteShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody, observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteShipmentEstimationV1EstimateByExtendedAddressPost(cartId: string, quoteShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteShipmentEstimationV1EstimateByExtendedAddressPost(cartId: string, quoteShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
    quoteShipmentEstimationV1EstimateByExtendedAddressPost_1(quoteShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody1, observe?: 'body', reportProgress?: boolean): Observable<Array<QuoteDataShippingMethodInterface>>;
    quoteShipmentEstimationV1EstimateByExtendedAddressPost_1(quoteShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody1, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<QuoteDataShippingMethodInterface>>>;
    quoteShipmentEstimationV1EstimateByExtendedAddressPost_1(quoteShipmentEstimationV1EstimateByExtendedAddressPostBody?: QuoteShipmentEstimationV1EstimateByExtendedAddressPostBody1, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<QuoteDataShippingMethodInterface>>>;
}
