import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesDataInvoiceCommentSearchResultInterface } from '../model/salesDataInvoiceCommentSearchResultInterface';
import { Configuration } from '../configuration';
export declare class SalesInvoiceManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesInvoiceManagementV1GetCommentsListGet(id: number, observe?: 'body', reportProgress?: boolean): Observable<SalesDataInvoiceCommentSearchResultInterface>;
    salesInvoiceManagementV1GetCommentsListGet(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataInvoiceCommentSearchResultInterface>>;
    salesInvoiceManagementV1GetCommentsListGet(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataInvoiceCommentSearchResultInterface>>;
    salesInvoiceManagementV1NotifyPost(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    salesInvoiceManagementV1NotifyPost(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    salesInvoiceManagementV1NotifyPost(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    salesInvoiceManagementV1SetCapturePost(id: number, observe?: 'body', reportProgress?: boolean): Observable<string>;
    salesInvoiceManagementV1SetCapturePost(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    salesInvoiceManagementV1SetCapturePost(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    salesInvoiceManagementV1SetVoidPost(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    salesInvoiceManagementV1SetVoidPost(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    salesInvoiceManagementV1SetVoidPost(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
