import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesInvoiceOrderV1ExecutePostBody } from '../model/salesInvoiceOrderV1ExecutePostBody';
import { Configuration } from '../configuration';
export declare class SalesInvoiceOrderV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesInvoiceOrderV1ExecutePost(orderId: number, salesInvoiceOrderV1ExecutePostBody?: SalesInvoiceOrderV1ExecutePostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    salesInvoiceOrderV1ExecutePost(orderId: number, salesInvoiceOrderV1ExecutePostBody?: SalesInvoiceOrderV1ExecutePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    salesInvoiceOrderV1ExecutePost(orderId: number, salesInvoiceOrderV1ExecutePostBody?: SalesInvoiceOrderV1ExecutePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
