import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesRefundInvoiceV1ExecutePostBody } from '../model/salesRefundInvoiceV1ExecutePostBody';
import { Configuration } from '../configuration';
export declare class SalesRefundInvoiceV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesRefundInvoiceV1ExecutePost(invoiceId: number, salesRefundInvoiceV1ExecutePostBody?: SalesRefundInvoiceV1ExecutePostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    salesRefundInvoiceV1ExecutePost(invoiceId: number, salesRefundInvoiceV1ExecutePostBody?: SalesRefundInvoiceV1ExecutePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    salesRefundInvoiceV1ExecutePost(invoiceId: number, salesRefundInvoiceV1ExecutePostBody?: SalesRefundInvoiceV1ExecutePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
