import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesRefundOrderV1ExecutePostBody } from '../model/salesRefundOrderV1ExecutePostBody';
import { Configuration } from '../configuration';
export declare class SalesRefundOrderV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesRefundOrderV1ExecutePost(orderId: number, salesRefundOrderV1ExecutePostBody?: SalesRefundOrderV1ExecutePostBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    salesRefundOrderV1ExecutePost(orderId: number, salesRefundOrderV1ExecutePostBody?: SalesRefundOrderV1ExecutePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    salesRefundOrderV1ExecutePost(orderId: number, salesRefundOrderV1ExecutePostBody?: SalesRefundOrderV1ExecutePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
