import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesDataShipmentCommentInterface } from '../model/salesDataShipmentCommentInterface';
import { SalesShipmentCommentRepositoryV1SavePostBody } from '../model/salesShipmentCommentRepositoryV1SavePostBody';
import { Configuration } from '../configuration';
export declare class SalesShipmentCommentRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesShipmentCommentRepositoryV1SavePost(id: string, salesShipmentCommentRepositoryV1SavePostBody?: SalesShipmentCommentRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataShipmentCommentInterface>;
    salesShipmentCommentRepositoryV1SavePost(id: string, salesShipmentCommentRepositoryV1SavePostBody?: SalesShipmentCommentRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataShipmentCommentInterface>>;
    salesShipmentCommentRepositoryV1SavePost(id: string, salesShipmentCommentRepositoryV1SavePostBody?: SalesShipmentCommentRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataShipmentCommentInterface>>;
}
