import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesDataShipmentCommentSearchResultInterface } from '../model/salesDataShipmentCommentSearchResultInterface';
import { Configuration } from '../configuration';
export declare class SalesShipmentManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesShipmentManagementV1GetCommentsListGet(id: number, observe?: 'body', reportProgress?: boolean): Observable<SalesDataShipmentCommentSearchResultInterface>;
    salesShipmentManagementV1GetCommentsListGet(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataShipmentCommentSearchResultInterface>>;
    salesShipmentManagementV1GetCommentsListGet(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataShipmentCommentSearchResultInterface>>;
    salesShipmentManagementV1GetLabelGet(id: number, observe?: 'body', reportProgress?: boolean): Observable<string>;
    salesShipmentManagementV1GetLabelGet(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<string>>;
    salesShipmentManagementV1GetLabelGet(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<string>>;
    salesShipmentManagementV1NotifyPost(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    salesShipmentManagementV1NotifyPost(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    salesShipmentManagementV1NotifyPost(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
