import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { SalesDataShipmentTrackInterface } from '../model/salesDataShipmentTrackInterface';
import { SalesShipmentTrackRepositoryV1SavePostBody } from '../model/salesShipmentTrackRepositoryV1SavePostBody';
import { Configuration } from '../configuration';
export declare class SalesShipmentTrackRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    salesShipmentTrackRepositoryV1DeleteByIdDelete(id: number, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    salesShipmentTrackRepositoryV1DeleteByIdDelete(id: number, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    salesShipmentTrackRepositoryV1DeleteByIdDelete(id: number, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    salesShipmentTrackRepositoryV1SavePost(salesShipmentTrackRepositoryV1SavePostBody?: SalesShipmentTrackRepositoryV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<SalesDataShipmentTrackInterface>;
    salesShipmentTrackRepositoryV1SavePost(salesShipmentTrackRepositoryV1SavePostBody?: SalesShipmentTrackRepositoryV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<SalesDataShipmentTrackInterface>>;
    salesShipmentTrackRepositoryV1SavePost(salesShipmentTrackRepositoryV1SavePostBody?: SalesShipmentTrackRepositoryV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<SalesDataShipmentTrackInterface>>;
}
