import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { StoreDataGroupInterface } from '../model/storeDataGroupInterface';
import { Configuration } from '../configuration';
export declare class StoreGroupRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    storeGroupRepositoryV1GetListGet(observe?: 'body', reportProgress?: boolean): Observable<Array<StoreDataGroupInterface>>;
    storeGroupRepositoryV1GetListGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<StoreDataGroupInterface>>>;
    storeGroupRepositoryV1GetListGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<StoreDataGroupInterface>>>;
}
