import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { StoreDataStoreConfigInterface } from '../model/storeDataStoreConfigInterface';
import { Configuration } from '../configuration';
export declare class StoreStoreConfigManagerV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    storeStoreConfigManagerV1GetStoreConfigsGet(storeCodes?: Array<string>, observe?: 'body', reportProgress?: boolean): Observable<Array<StoreDataStoreConfigInterface>>;
    storeStoreConfigManagerV1GetStoreConfigsGet(storeCodes?: Array<string>, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<StoreDataStoreConfigInterface>>>;
    storeStoreConfigManagerV1GetStoreConfigsGet(storeCodes?: Array<string>, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<StoreDataStoreConfigInterface>>>;
}
