import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { StoreDataStoreInterface } from '../model/storeDataStoreInterface';
import { Configuration } from '../configuration';
export declare class StoreStoreRepositoryV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    storeStoreRepositoryV1GetListGet(observe?: 'body', reportProgress?: boolean): Observable<Array<StoreDataStoreInterface>>;
    storeStoreRepositoryV1GetListGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<StoreDataStoreInterface>>>;
    storeStoreRepositoryV1GetListGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<StoreDataStoreInterface>>>;
}
