import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { TemandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody } from '../model/temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody';
import { TemandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody } from '../model/temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody';
import { TemandoShippingDataCollectionPointQuoteCollectionPointInterface } from '../model/temandoShippingDataCollectionPointQuoteCollectionPointInterface';
import { TemandoShippingDataCollectionPointSearchRequestInterface } from '../model/temandoShippingDataCollectionPointSearchRequestInterface';
import { Configuration } from '../configuration';
export declare class TemandoShippingCollectionPointCartCollectionPointManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    temandoShippingCollectionPointCartCollectionPointManagementV1DeleteSearchRequestDelete(observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    temandoShippingCollectionPointCartCollectionPointManagementV1DeleteSearchRequestDelete(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1DeleteSearchRequestDelete(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1GetCollectionPointsGet(observe?: 'body', reportProgress?: boolean): Observable<Array<TemandoShippingDataCollectionPointQuoteCollectionPointInterface>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1GetCollectionPointsGet(observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<Array<TemandoShippingDataCollectionPointQuoteCollectionPointInterface>>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1GetCollectionPointsGet(observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<Array<TemandoShippingDataCollectionPointQuoteCollectionPointInterface>>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPut(temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody?: TemandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody, observe?: 'body', reportProgress?: boolean): Observable<TemandoShippingDataCollectionPointSearchRequestInterface>;
    temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPut(temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody?: TemandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<TemandoShippingDataCollectionPointSearchRequestInterface>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPut(temandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody?: TemandoShippingCollectionPointCartCollectionPointManagementV1SaveSearchRequestPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<TemandoShippingDataCollectionPointSearchRequestInterface>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPost(temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody?: TemandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody, observe?: 'body', reportProgress?: boolean): Observable<boolean>;
    temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPost(temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody?: TemandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<boolean>>;
    temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPost(temandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody?: TemandoShippingCollectionPointCartCollectionPointManagementV1SelectCollectionPointPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<boolean>>;
}
