import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { ErrorResponse } from '../model/errorResponse';
import { TemandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody } from '../model/temandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody';
import { Configuration } from '../configuration';
export declare class TemandoShippingQuoteCartDeliveryOptionManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    temandoShippingQuoteCartDeliveryOptionManagementV1SavePost(temandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody?: TemandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<ErrorResponse>;
    temandoShippingQuoteCartDeliveryOptionManagementV1SavePost(temandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody?: TemandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<ErrorResponse>>;
    temandoShippingQuoteCartDeliveryOptionManagementV1SavePost(temandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody?: TemandoShippingQuoteCartDeliveryOptionManagementV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<ErrorResponse>>;
}
