import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { ErrorResponse } from '../model/errorResponse';
import { TemandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody } from '../model/temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody';
import { Configuration } from '../configuration';
export declare class TemandoShippingQuoteGuestCartCheckoutFieldManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPost(cartId: string, temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody?: TemandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody, observe?: 'body', reportProgress?: boolean): Observable<ErrorResponse>;
    temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPost(cartId: string, temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody?: TemandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<ErrorResponse>>;
    temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPost(cartId: string, temandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody?: TemandoShippingQuoteGuestCartCheckoutFieldManagementV1SaveCheckoutFieldsPostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<ErrorResponse>>;
}
