import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { ErrorResponse } from '../model/errorResponse';
import { TemandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody } from '../model/temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody';
import { Configuration } from '../configuration';
export declare class TemandoShippingQuoteGuestCartDeliveryOptionManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePost(cartId: string, temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody?: TemandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody, observe?: 'body', reportProgress?: boolean): Observable<ErrorResponse>;
    temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePost(cartId: string, temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody?: TemandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<ErrorResponse>>;
    temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePost(cartId: string, temandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody?: TemandoShippingQuoteGuestCartDeliveryOptionManagementV1SavePostBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<ErrorResponse>>;
}
