import { HttpClient, HttpHeaders, HttpResponse, HttpEvent } from '@angular/common/http';
import { Observable } from 'rxjs/Observable';
import { TemandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody } from '../model/temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody';
import { Configuration } from '../configuration';
export declare class TemandoShippingRmaRmaShipmentManagementV1Service {
    protected httpClient: HttpClient;
    protected basePath: string;
    defaultHeaders: HttpHeaders;
    configuration: Configuration;
    constructor(httpClient: HttpClient, basePath: string, configuration: Configuration);
    private canConsumeForm;
    temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPut(rmaId: number, temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody?: TemandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody, observe?: 'body', reportProgress?: boolean): Observable<number>;
    temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPut(rmaId: number, temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody?: TemandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody, observe?: 'response', reportProgress?: boolean): Observable<HttpResponse<number>>;
    temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPut(rmaId: number, temandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody?: TemandoShippingRmaRmaShipmentManagementV1AssignShipmentIdsPutBody, observe?: 'events', reportProgress?: boolean): Observable<HttpEvent<number>>;
}
