import { CatalogDataCategoryExtensionInterface } from './catalogDataCategoryExtensionInterface';
import { FrameworkAttributeInterface } from './frameworkAttributeInterface';
export interface CatalogDataCategoryInterface {
    id?: number;
    parentId?: number;
    name: string;
    isActive?: boolean;
    position?: number;
    level?: number;
    children?: string;
    createdAt?: string;
    updatedAt?: string;
    path?: string;
    availableSortBy?: Array<string>;
    includeInMenu?: boolean;
    extensionAttributes?: CatalogDataCategoryExtensionInterface;
    customAttributes?: Array<FrameworkAttributeInterface>;
}
