import { CatalogDataProductAttributeMediaGalleryEntryInterface } from './catalogDataProductAttributeMediaGalleryEntryInterface';
import { CatalogDataProductCustomOptionInterface } from './catalogDataProductCustomOptionInterface';
import { CatalogDataProductExtensionInterface } from './catalogDataProductExtensionInterface';
import { CatalogDataProductLinkInterface } from './catalogDataProductLinkInterface';
import { CatalogDataProductTierPriceInterface } from './catalogDataProductTierPriceInterface';
import { FrameworkAttributeInterface } from './frameworkAttributeInterface';
export interface CatalogDataProductInterface {
    id?: number;
    sku: string;
    name?: string;
    attributeSetId?: number;
    price?: number;
    status?: number;
    visibility?: number;
    typeId?: string;
    createdAt?: string;
    updatedAt?: string;
    weight?: number;
    extensionAttributes?: CatalogDataProductExtensionInterface;
    productLinks?: Array<CatalogDataProductLinkInterface>;
    options?: Array<CatalogDataProductCustomOptionInterface>;
    mediaGalleryEntries?: Array<CatalogDataProductAttributeMediaGalleryEntryInterface>;
    tierPrices?: Array<CatalogDataProductTierPriceInterface>;
    customAttributes?: Array<FrameworkAttributeInterface>;
}
