import { CatalogDataProductRenderButtonInterface } from './catalogDataProductRenderButtonInterface';
import { CatalogDataProductRenderExtensionInterface } from './catalogDataProductRenderExtensionInterface';
import { CatalogDataProductRenderImageInterface } from './catalogDataProductRenderImageInterface';
import { CatalogDataProductRenderPriceInfoInterface } from './catalogDataProductRenderPriceInfoInterface';
export interface CatalogDataProductRenderInterface {
    addToCartButton: CatalogDataProductRenderButtonInterface;
    addToCompareButton: CatalogDataProductRenderButtonInterface;
    priceInfo: CatalogDataProductRenderPriceInfoInterface;
    images: Array<CatalogDataProductRenderImageInterface>;
    url: string;
    id: number;
    name: string;
    type: string;
    isSalable: string;
    storeId: number;
    currencyCode: string;
    extensionAttributes: CatalogDataProductRenderExtensionInterface;
}
