import { CatalogInventoryDataStockItemExtensionInterface } from './catalogInventoryDataStockItemExtensionInterface';
export interface CatalogInventoryDataStockItemInterface {
    itemId?: number;
    productId?: number;
    stockId?: number;
    qty: number;
    isInStock: boolean;
    isQtyDecimal: boolean;
    showDefaultNotificationMessage: boolean;
    useConfigMinQty: boolean;
    minQty: number;
    useConfigMinSaleQty: number;
    minSaleQty: number;
    useConfigMaxSaleQty: boolean;
    maxSaleQty: number;
    useConfigBackorders: boolean;
    backorders: number;
    useConfigNotifyStockQty: boolean;
    notifyStockQty: number;
    useConfigQtyIncrements: boolean;
    qtyIncrements: number;
    useConfigEnableQtyInc: boolean;
    enableQtyIncrements: boolean;
    useConfigManageStock: boolean;
    manageStock: boolean;
    lowStockDate: string;
    isDecimalDivided: boolean;
    stockStatusChangedAuto: number;
    extensionAttributes?: CatalogInventoryDataStockItemExtensionInterface;
}
