import { CustomerDataAddressExtensionInterface } from './customerDataAddressExtensionInterface';
import { CustomerDataRegionInterface } from './customerDataRegionInterface';
import { FrameworkAttributeInterface } from './frameworkAttributeInterface';
export interface CustomerDataAddressInterface {
    id?: number;
    customerId?: number;
    region?: CustomerDataRegionInterface;
    regionId?: number;
    countryId?: string;
    street?: Array<string>;
    company?: string;
    telephone?: string;
    fax?: string;
    postcode?: string;
    city?: string;
    firstname?: string;
    lastname?: string;
    middlename?: string;
    prefix?: string;
    suffix?: string;
    vatId?: string;
    defaultShipping?: boolean;
    defaultBilling?: boolean;
    extensionAttributes?: CustomerDataAddressExtensionInterface;
    customAttributes?: Array<FrameworkAttributeInterface>;
}
