import { CustomerDataCustomerInterface } from './customerDataCustomerInterface';
import { QuoteDataAddressInterface } from './quoteDataAddressInterface';
import { QuoteDataCartExtensionInterface } from './quoteDataCartExtensionInterface';
import { QuoteDataCartItemInterface } from './quoteDataCartItemInterface';
import { QuoteDataCurrencyInterface } from './quoteDataCurrencyInterface';
export interface QuoteDataCartInterface {
    id: number;
    createdAt?: string;
    updatedAt?: string;
    convertedAt?: string;
    isActive?: boolean;
    isVirtual?: boolean;
    items?: Array<QuoteDataCartItemInterface>;
    itemsCount?: number;
    itemsQty?: number;
    customer: CustomerDataCustomerInterface;
    billingAddress?: QuoteDataAddressInterface;
    reservedOrderId?: number;
    origOrderId?: number;
    currency?: QuoteDataCurrencyInterface;
    customerIsGuest?: boolean;
    customerNote?: string;
    customerNoteNotify?: boolean;
    customerTaxClassId?: number;
    storeId: number;
    extensionAttributes?: QuoteDataCartExtensionInterface;
}
