import { SalesDataCreditmemoCommentInterface } from './salesDataCreditmemoCommentInterface';
import { SalesDataCreditmemoExtensionInterface } from './salesDataCreditmemoExtensionInterface';
import { SalesDataCreditmemoItemInterface } from './salesDataCreditmemoItemInterface';
export interface SalesDataCreditmemoInterface {
    adjustment?: number;
    adjustmentNegative?: number;
    adjustmentPositive?: number;
    baseAdjustment?: number;
    baseAdjustmentNegative?: number;
    baseAdjustmentPositive?: number;
    baseCurrencyCode?: string;
    baseDiscountAmount?: number;
    baseGrandTotal?: number;
    baseDiscountTaxCompensationAmount?: number;
    baseShippingAmount?: number;
    baseShippingDiscountTaxCompensationAmnt?: number;
    baseShippingInclTax?: number;
    baseShippingTaxAmount?: number;
    baseSubtotal?: number;
    baseSubtotalInclTax?: number;
    baseTaxAmount?: number;
    baseToGlobalRate?: number;
    baseToOrderRate?: number;
    billingAddressId?: number;
    createdAt?: string;
    creditmemoStatus?: number;
    discountAmount?: number;
    discountDescription?: string;
    emailSent?: number;
    entityId?: number;
    globalCurrencyCode?: string;
    grandTotal?: number;
    discountTaxCompensationAmount?: number;
    incrementId?: string;
    invoiceId?: number;
    orderCurrencyCode?: string;
    orderId: number;
    shippingAddressId?: number;
    shippingAmount?: number;
    shippingDiscountTaxCompensationAmount?: number;
    shippingInclTax?: number;
    shippingTaxAmount?: number;
    state?: number;
    storeCurrencyCode?: string;
    storeId?: number;
    storeToBaseRate?: number;
    storeToOrderRate?: number;
    subtotal?: number;
    subtotalInclTax?: number;
    taxAmount?: number;
    transactionId?: string;
    updatedAt?: string;
    items: Array<SalesDataCreditmemoItemInterface>;
    comments?: Array<SalesDataCreditmemoCommentInterface>;
    extensionAttributes?: SalesDataCreditmemoExtensionInterface;
}
