import { SalesDataInvoiceCommentInterface } from './salesDataInvoiceCommentInterface';
import { SalesDataInvoiceExtensionInterface } from './salesDataInvoiceExtensionInterface';
import { SalesDataInvoiceItemInterface } from './salesDataInvoiceItemInterface';
export interface SalesDataInvoiceInterface {
    baseCurrencyCode?: string;
    baseDiscountAmount?: number;
    baseGrandTotal?: number;
    baseDiscountTaxCompensationAmount?: number;
    baseShippingAmount?: number;
    baseShippingDiscountTaxCompensationAmnt?: number;
    baseShippingInclTax?: number;
    baseShippingTaxAmount?: number;
    baseSubtotal?: number;
    baseSubtotalInclTax?: number;
    baseTaxAmount?: number;
    baseTotalRefunded?: number;
    baseToGlobalRate?: number;
    baseToOrderRate?: number;
    billingAddressId?: number;
    canVoidFlag?: number;
    createdAt?: string;
    discountAmount?: number;
    discountDescription?: string;
    emailSent?: number;
    entityId?: number;
    globalCurrencyCode?: string;
    grandTotal?: number;
    discountTaxCompensationAmount?: number;
    incrementId?: string;
    isUsedForRefund?: number;
    orderCurrencyCode?: string;
    orderId: number;
    shippingAddressId?: number;
    shippingAmount?: number;
    shippingDiscountTaxCompensationAmount?: number;
    shippingInclTax?: number;
    shippingTaxAmount?: number;
    state?: number;
    storeCurrencyCode?: string;
    storeId?: number;
    storeToBaseRate?: number;
    storeToOrderRate?: number;
    subtotal?: number;
    subtotalInclTax?: number;
    taxAmount?: number;
    totalQty: number;
    transactionId?: string;
    updatedAt?: string;
    items: Array<SalesDataInvoiceItemInterface>;
    comments?: Array<SalesDataInvoiceCommentInterface>;
    extensionAttributes?: SalesDataInvoiceExtensionInterface;
}
