import { SalesDataOrderAddressExtensionInterface } from './salesDataOrderAddressExtensionInterface';
export interface SalesDataOrderAddressInterface {
    addressType: string;
    city: string;
    company?: string;
    countryId: string;
    customerAddressId?: number;
    customerId?: number;
    email?: string;
    entityId?: number;
    fax?: string;
    firstname: string;
    lastname: string;
    middlename?: string;
    parentId?: number;
    postcode: string;
    prefix?: string;
    region?: string;
    regionCode?: string;
    regionId?: number;
    street?: Array<string>;
    suffix?: string;
    telephone: string;
    vatId?: string;
    vatIsValid?: number;
    vatRequestDate?: string;
    vatRequestId?: string;
    vatRequestSuccess?: number;
    extensionAttributes?: SalesDataOrderAddressExtensionInterface;
}
