import { CatalogDataProductOptionInterface } from './catalogDataProductOptionInterface';
import { SalesDataOrderItemExtensionInterface } from './salesDataOrderItemExtensionInterface';
export interface SalesDataOrderItemInterface {
    additionalData?: string;
    amountRefunded?: number;
    appliedRuleIds?: string;
    baseAmountRefunded?: number;
    baseCost?: number;
    baseDiscountAmount?: number;
    baseDiscountInvoiced?: number;
    baseDiscountRefunded?: number;
    baseDiscountTaxCompensationAmount?: number;
    baseDiscountTaxCompensationInvoiced?: number;
    baseDiscountTaxCompensationRefunded?: number;
    baseOriginalPrice?: number;
    basePrice?: number;
    basePriceInclTax?: number;
    baseRowInvoiced?: number;
    baseRowTotal?: number;
    baseRowTotalInclTax?: number;
    baseTaxAmount?: number;
    baseTaxBeforeDiscount?: number;
    baseTaxInvoiced?: number;
    baseTaxRefunded?: number;
    baseWeeeTaxAppliedAmount?: number;
    baseWeeeTaxAppliedRowAmnt?: number;
    baseWeeeTaxDisposition?: number;
    baseWeeeTaxRowDisposition?: number;
    createdAt?: string;
    description?: string;
    discountAmount?: number;
    discountInvoiced?: number;
    discountPercent?: number;
    discountRefunded?: number;
    eventId?: number;
    extOrderItemId?: string;
    freeShipping?: number;
    gwBasePrice?: number;
    gwBasePriceInvoiced?: number;
    gwBasePriceRefunded?: number;
    gwBaseTaxAmount?: number;
    gwBaseTaxAmountInvoiced?: number;
    gwBaseTaxAmountRefunded?: number;
    gwId?: number;
    gwPrice?: number;
    gwPriceInvoiced?: number;
    gwPriceRefunded?: number;
    gwTaxAmount?: number;
    gwTaxAmountInvoiced?: number;
    gwTaxAmountRefunded?: number;
    discountTaxCompensationAmount?: number;
    discountTaxCompensationCanceled?: number;
    discountTaxCompensationInvoiced?: number;
    discountTaxCompensationRefunded?: number;
    isQtyDecimal?: number;
    isVirtual?: number;
    itemId?: number;
    lockedDoInvoice?: number;
    lockedDoShip?: number;
    name?: string;
    noDiscount?: number;
    orderId?: number;
    originalPrice?: number;
    parentItemId?: number;
    price?: number;
    priceInclTax?: number;
    productId?: number;
    productType?: string;
    qtyBackordered?: number;
    qtyCanceled?: number;
    qtyInvoiced?: number;
    qtyOrdered?: number;
    qtyRefunded?: number;
    qtyReturned?: number;
    qtyShipped?: number;
    quoteItemId?: number;
    rowInvoiced?: number;
    rowTotal?: number;
    rowTotalInclTax?: number;
    rowWeight?: number;
    sku: string;
    storeId?: number;
    taxAmount?: number;
    taxBeforeDiscount?: number;
    taxCanceled?: number;
    taxInvoiced?: number;
    taxPercent?: number;
    taxRefunded?: number;
    updatedAt?: string;
    weeeTaxApplied?: string;
    weeeTaxAppliedAmount?: number;
    weeeTaxAppliedRowAmount?: number;
    weeeTaxDisposition?: number;
    weeeTaxRowDisposition?: number;
    weight?: number;
    parentItem?: SalesDataOrderItemInterface;
    productOption?: CatalogDataProductOptionInterface;
    extensionAttributes?: SalesDataOrderItemExtensionInterface;
}
