import { SalesDataTransactionExtensionInterface } from './salesDataTransactionExtensionInterface';
export interface SalesDataTransactionInterface {
    transactionId: number;
    parentId?: number;
    orderId: number;
    paymentId: number;
    txnId: string;
    parentTxnId: string;
    txnType: string;
    isClosed: number;
    additionalInformation?: Array<string>;
    createdAt: string;
    childTransactions: Array<SalesDataTransactionInterface>;
    extensionAttributes?: SalesDataTransactionExtensionInterface;
}
